Bug 104082 - amdgpu 0000:07:00.0: swiotlb buffer is full (sz: 2097152 bytes)
Summary: amdgpu 0000:07:00.0: swiotlb buffer is full (sz: 2097152 bytes)
Status: REOPENED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/AMDgpu (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
: 104685 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-12-04 18:47 UTC by mikhail.v.gavrilov
Modified: 2018-04-16 18:39 UTC (History)
12 users (show)

See Also:
i915 platform:
i915 features:


Attachments
dmesg (4.13 KB, text/plain)
2017-12-22 09:41 UTC, coolo1mc
no flags Details
dmesg on M385X (14.25 KB, text/plain)
2017-12-23 16:55 UTC, Alexander Schlarb
no flags Details
dmesg with 4.15.0-rc2 amd-staging-drm-next (141.07 KB, text/plain)
2018-01-16 03:22 UTC, mikhail.v.gavrilov
no flags Details
dmesg with RX460 (8.68 KB, text/plain)
2018-02-08 13:49 UTC, Stratos Zolotas
no flags Details
system log (1.35 MB, text/plain)
2018-02-12 03:30 UTC, mikhail.v.gavrilov
no flags Details
dmesg 4.16-rc6 (22.67 MB, text/plain)
2018-03-23 04:07 UTC, mikhail.v.gavrilov
no flags Details
In 4.16.0-rc7 still not fixed (1.69 MB, text/plain)
2018-03-31 13:46 UTC, mikhail.v.gavrilov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description mikhail.v.gavrilov 2017-12-04 18:47:59 UTC
With latest AMD staging driver and Vega 56 I have a lot of messages about swiotlb buffer is full:

[122422.348708] amdgpu 0000:07:00.0: swiotlb buffer is full (sz: 2097152 bytes)
[122422.348713] swiotlb: coherent allocation failed for device 0000:07:00.0 size=2097152
[122422.348717] CPU: 1 PID: 17546 Comm: gnome-shell Not tainted 4.14.0-rc3-amd-vega+ #7
[122422.348719] Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F11 08/12/2014
[122422.348721] Call Trace:
[122422.348728]  dump_stack+0x8e/0xd6
[122422.348733]  swiotlb_alloc_coherent+0xec/0x160
[122422.348739]  x86_swiotlb_alloc_coherent+0x43/0x50
[122422.348747]  ttm_dma_pool_get_pages+0x220/0x630 [ttm]
[122422.348755]  ttm_dma_populate+0x24c/0x330 [ttm]
[122422.348785]  amdgpu_ttm_tt_populate+0xc1/0xe0 [amdgpu]
[122422.348790]  ttm_tt_bind+0x28/0x60 [ttm]
[122422.348795]  ttm_bo_handle_move_mem+0x569/0x5b0 [ttm]
[122422.348800]  ? ttm_bo_mem_space+0x385/0x450 [ttm]
[122422.348807]  ttm_bo_validate+0x185/0x1a0 [ttm]
[122422.348813]  ? _raw_write_unlock+0x27/0x40
[122422.348819]  ttm_bo_init_reserved+0x38c/0x4f0 [ttm]
[122422.348843]  amdgpu_bo_do_create+0x209/0x540 [amdgpu]
[122422.348866]  ? amdgpu_fill_buffer+0x2f0/0x2f0 [amdgpu]
[122422.348892]  amdgpu_bo_create+0x50/0x2c0 [amdgpu]
[122422.348917]  amdgpu_gem_object_create+0x83/0x110 [amdgpu]
[122422.348943]  amdgpu_gem_create_ioctl+0x135/0x280 [amdgpu]
[122422.348967]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122422.348979]  drm_ioctl_kernel+0x5d/0xb0 [drm]
[122422.348988]  drm_ioctl+0x31b/0x3d0 [drm]
[122422.349010]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122422.349017]  ? trace_hardirqs_on+0xd/0x10
[122422.349040]  amdgpu_drm_ioctl+0x4f/0x90 [amdgpu]
[122422.349045]  do_vfs_ioctl+0xa6/0x6c0
[122422.349051]  SyS_ioctl+0x79/0x90
[122422.349055]  entry_SYSCALL_64_fastpath+0x1f/0xbe
[122422.349058] RIP: 0033:0x7f01c9d2adc7
[122422.349060] RSP: 002b:00007ffd5ea6feb8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[122422.349063] RAX: ffffffffffffffda RBX: 000056017d05df70 RCX: 00007f01c9d2adc7
[122422.349066] RDX: 00007ffd5ea6ff00 RSI: 00000000c0206440 RDI: 000000000000000c
[122422.349068] RBP: 00007ffd5ea70de0 R08: 0000560179ae1b70 R09: 0000560179ae1b70
[122422.349070] R10: 0000000000000007 R11: 0000000000000246 R12: 0000000000000018
[122422.349072] R13: 00007f00fef8aa00 R14: 0000000000000018 R15: 0000000000000900
[122423.894049] amdgpu 0000:07:00.0: swiotlb buffer is full (sz: 2097152 bytes)
[122423.894055] swiotlb: coherent allocation failed for device 0000:07:00.0 size=2097152
[122423.894058] CPU: 7 PID: 17546 Comm: gnome-shell Not tainted 4.14.0-rc3-amd-vega+ #7
[122423.894061] Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F11 08/12/2014
[122423.894063] Call Trace:
[122423.894071]  dump_stack+0x8e/0xd6
[122423.894077]  swiotlb_alloc_coherent+0xec/0x160
[122423.894083]  x86_swiotlb_alloc_coherent+0x43/0x50
[122423.894093]  ttm_dma_pool_get_pages+0x220/0x630 [ttm]
[122423.894103]  ttm_dma_populate+0x24c/0x330 [ttm]
[122423.894136]  amdgpu_ttm_tt_populate+0xc1/0xe0 [amdgpu]
[122423.894143]  ttm_tt_bind+0x28/0x60 [ttm]
[122423.894149]  ttm_bo_handle_move_mem+0x569/0x5b0 [ttm]
[122423.894154]  ? ttm_bo_mem_space+0x385/0x450 [ttm]
[122423.894163]  ttm_bo_validate+0x185/0x1a0 [ttm]
[122423.894169]  ? _raw_write_unlock+0x27/0x40
[122423.894176]  ttm_bo_init_reserved+0x38c/0x4f0 [ttm]
[122423.894208]  amdgpu_bo_do_create+0x209/0x540 [amdgpu]
[122423.894239]  ? amdgpu_fill_buffer+0x2f0/0x2f0 [amdgpu]
[122423.894269]  amdgpu_bo_create+0x50/0x2c0 [amdgpu]
[122423.894300]  amdgpu_gem_object_create+0x83/0x110 [amdgpu]
[122423.894330]  amdgpu_gem_create_ioctl+0x135/0x280 [amdgpu]
[122423.894358]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122423.894372]  drm_ioctl_kernel+0x5d/0xb0 [drm]
[122423.894384]  drm_ioctl+0x31b/0x3d0 [drm]
[122423.894408]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122423.894417]  ? trace_hardirqs_on+0xd/0x10
[122423.894443]  amdgpu_drm_ioctl+0x4f/0x90 [amdgpu]
[122423.894449]  do_vfs_ioctl+0xa6/0x6c0
[122423.894456]  SyS_ioctl+0x79/0x90
[122423.894462]  entry_SYSCALL_64_fastpath+0x1f/0xbe
[122423.894465] RIP: 0033:0x7f01c9d2adc7
[122423.894467] RSP: 002b:00007ffd5ea6ff28 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[122423.894471] RAX: ffffffffffffffda RBX: 00007ffd5ea71460 RCX: 00007f01c9d2adc7
[122423.894473] RDX: 00007ffd5ea6ff70 RSI: 00000000c0206440 RDI: 000000000000000c
[122423.894476] RBP: 000056017f08d6f0 R08: 0000560181fc1e40 R09: 0000560181fc1e40
[122423.894478] R10: 0000000000000007 R11: 0000000000000246 R12: 00007ffd5ea71458
[122423.894480] R13: 00007ffd5ea71458 R14: 000000007fffffff R15: 00007f01caa72c20
[122425.440926] amdgpu 0000:07:00.0: swiotlb buffer is full (sz: 2097152 bytes)
[122425.440930] swiotlb: coherent allocation failed for device 0000:07:00.0 size=2097152
[122425.440933] CPU: 4 PID: 17546 Comm: gnome-shell Not tainted 4.14.0-rc3-amd-vega+ #7
[122425.440934] Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F11 08/12/2014
[122425.440936] Call Trace:
[122425.440942]  dump_stack+0x8e/0xd6
[122425.440947]  swiotlb_alloc_coherent+0xec/0x160
[122425.440952]  x86_swiotlb_alloc_coherent+0x43/0x50
[122425.440960]  ttm_dma_pool_get_pages+0x220/0x630 [ttm]
[122425.440967]  ttm_dma_populate+0x24c/0x330 [ttm]
[122425.440994]  amdgpu_ttm_tt_populate+0xc1/0xe0 [amdgpu]
[122425.441000]  ttm_tt_bind+0x28/0x60 [ttm]
[122425.441006]  ttm_bo_handle_move_mem+0x569/0x5b0 [ttm]
[122425.441010]  ? ttm_bo_mem_space+0x385/0x450 [ttm]
[122425.441018]  ttm_bo_validate+0x185/0x1a0 [ttm]
[122425.441025]  ? _raw_write_unlock+0x27/0x40
[122425.441031]  ttm_bo_init_reserved+0x38c/0x4f0 [ttm]
[122425.441057]  amdgpu_bo_do_create+0x209/0x540 [amdgpu]
[122425.441083]  ? amdgpu_fill_buffer+0x2f0/0x2f0 [amdgpu]
[122425.441109]  amdgpu_bo_create+0x50/0x2c0 [amdgpu]
[122425.441136]  amdgpu_gem_object_create+0x83/0x110 [amdgpu]
[122425.441162]  amdgpu_gem_create_ioctl+0x135/0x280 [amdgpu]
[122425.441189]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122425.441201]  drm_ioctl_kernel+0x5d/0xb0 [drm]
[122425.441211]  drm_ioctl+0x31b/0x3d0 [drm]
[122425.441231]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122425.441239]  ? trace_hardirqs_on+0xd/0x10
[122425.441262]  amdgpu_drm_ioctl+0x4f/0x90 [amdgpu]
[122425.441267]  do_vfs_ioctl+0xa6/0x6c0
[122425.441274]  SyS_ioctl+0x79/0x90
[122425.441279]  entry_SYSCALL_64_fastpath+0x1f/0xbe
[122425.441282] RIP: 0033:0x7f01c9d2adc7
[122425.441284] RSP: 002b:00007ffd5ea6ff28 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[122425.441287] RAX: ffffffffffffffda RBX: 00007f01c9ffbc20 RCX: 00007f01c9d2adc7
[122425.441289] RDX: 00007ffd5ea6ff70 RSI: 00000000c0206440 RDI: 000000000000000c
[122425.441291] RBP: 00000000000000a0 R08: 000056017e5aa1d0 R09: 000056017e5aa1d0
[122425.441293] R10: 0000000000000007 R11: 0000000000000246 R12: 0000000000015881
[122425.441294] R13: 000056018576f780 R14: 0000000000000000 R15: 0000000000000003
[122422.348708] amdgpu 0000:07:00.0: swiotlb buffer is full (sz: 2097152 bytes)
[122422.348713] swiotlb: coherent allocation failed for device 0000:07:00.0 size=2097152
[122422.348717] CPU: 1 PID: 17546 Comm: gnome-shell Not tainted 4.14.0-rc3-amd-vega+ #7
[122422.348719] Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F11 08/12/2014
[122422.348721] Call Trace:
[122422.348728]  dump_stack+0x8e/0xd6
[122422.348733]  swiotlb_alloc_coherent+0xec/0x160
[122422.348739]  x86_swiotlb_alloc_coherent+0x43/0x50
[122422.348747]  ttm_dma_pool_get_pages+0x220/0x630 [ttm]
[122422.348755]  ttm_dma_populate+0x24c/0x330 [ttm]
[122422.348785]  amdgpu_ttm_tt_populate+0xc1/0xe0 [amdgpu]
[122422.348790]  ttm_tt_bind+0x28/0x60 [ttm]
[122422.348795]  ttm_bo_handle_move_mem+0x569/0x5b0 [ttm]
[122422.348800]  ? ttm_bo_mem_space+0x385/0x450 [ttm]
[122422.348807]  ttm_bo_validate+0x185/0x1a0 [ttm]
[122422.348813]  ? _raw_write_unlock+0x27/0x40
[122422.348819]  ttm_bo_init_reserved+0x38c/0x4f0 [ttm]
[122422.348843]  amdgpu_bo_do_create+0x209/0x540 [amdgpu]
[122422.348866]  ? amdgpu_fill_buffer+0x2f0/0x2f0 [amdgpu]
[122422.348892]  amdgpu_bo_create+0x50/0x2c0 [amdgpu]
[122422.348917]  amdgpu_gem_object_create+0x83/0x110 [amdgpu]
[122422.348943]  amdgpu_gem_create_ioctl+0x135/0x280 [amdgpu]
[122422.348967]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122422.348979]  drm_ioctl_kernel+0x5d/0xb0 [drm]
[122422.348988]  drm_ioctl+0x31b/0x3d0 [drm]
[122422.349010]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122422.349017]  ? trace_hardirqs_on+0xd/0x10
[122422.349040]  amdgpu_drm_ioctl+0x4f/0x90 [amdgpu]
[122422.349045]  do_vfs_ioctl+0xa6/0x6c0
[122422.349051]  SyS_ioctl+0x79/0x90
[122422.349055]  entry_SYSCALL_64_fastpath+0x1f/0xbe
[122422.349058] RIP: 0033:0x7f01c9d2adc7
[122422.349060] RSP: 002b:00007ffd5ea6feb8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[122422.349063] RAX: ffffffffffffffda RBX: 000056017d05df70 RCX: 00007f01c9d2adc7
[122422.349066] RDX: 00007ffd5ea6ff00 RSI: 00000000c0206440 RDI: 000000000000000c
[122422.349068] RBP: 00007ffd5ea70de0 R08: 0000560179ae1b70 R09: 0000560179ae1b70
[122422.349070] R10: 0000000000000007 R11: 0000000000000246 R12: 0000000000000018
[122422.349072] R13: 00007f00fef8aa00 R14: 0000000000000018 R15: 0000000000000900
[122423.894049] amdgpu 0000:07:00.0: swiotlb buffer is full (sz: 2097152 bytes)
[122423.894055] swiotlb: coherent allocation failed for device 0000:07:00.0 size=2097152
[122423.894058] CPU: 7 PID: 17546 Comm: gnome-shell Not tainted 4.14.0-rc3-amd-vega+ #7
[122423.894061] Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F11 08/12/2014
[122423.894063] Call Trace:
[122423.894071]  dump_stack+0x8e/0xd6
[122423.894077]  swiotlb_alloc_coherent+0xec/0x160
[122423.894083]  x86_swiotlb_alloc_coherent+0x43/0x50
[122423.894093]  ttm_dma_pool_get_pages+0x220/0x630 [ttm]
[122423.894103]  ttm_dma_populate+0x24c/0x330 [ttm]
[122423.894136]  amdgpu_ttm_tt_populate+0xc1/0xe0 [amdgpu]
[122423.894143]  ttm_tt_bind+0x28/0x60 [ttm]
[122423.894149]  ttm_bo_handle_move_mem+0x569/0x5b0 [ttm]
[122423.894154]  ? ttm_bo_mem_space+0x385/0x450 [ttm]
[122423.894163]  ttm_bo_validate+0x185/0x1a0 [ttm]
[122423.894169]  ? _raw_write_unlock+0x27/0x40
[122423.894176]  ttm_bo_init_reserved+0x38c/0x4f0 [ttm]
[122423.894208]  amdgpu_bo_do_create+0x209/0x540 [amdgpu]
[122423.894239]  ? amdgpu_fill_buffer+0x2f0/0x2f0 [amdgpu]
[122423.894269]  amdgpu_bo_create+0x50/0x2c0 [amdgpu]
[122423.894300]  amdgpu_gem_object_create+0x83/0x110 [amdgpu]
[122423.894330]  amdgpu_gem_create_ioctl+0x135/0x280 [amdgpu]
[122423.894358]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122423.894372]  drm_ioctl_kernel+0x5d/0xb0 [drm]
[122423.894384]  drm_ioctl+0x31b/0x3d0 [drm]
[122423.894408]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122423.894417]  ? trace_hardirqs_on+0xd/0x10
[122423.894443]  amdgpu_drm_ioctl+0x4f/0x90 [amdgpu]
[122423.894449]  do_vfs_ioctl+0xa6/0x6c0
[122423.894456]  SyS_ioctl+0x79/0x90
[122423.894462]  entry_SYSCALL_64_fastpath+0x1f/0xbe
[122423.894465] RIP: 0033:0x7f01c9d2adc7
[122423.894467] RSP: 002b:00007ffd5ea6ff28 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[122423.894471] RAX: ffffffffffffffda RBX: 00007ffd5ea71460 RCX: 00007f01c9d2adc7
[122423.894473] RDX: 00007ffd5ea6ff70 RSI: 00000000c0206440 RDI: 000000000000000c
[122423.894476] RBP: 000056017f08d6f0 R08: 0000560181fc1e40 R09: 0000560181fc1e40
[122423.894478] R10: 0000000000000007 R11: 0000000000000246 R12: 00007ffd5ea71458
[122423.894480] R13: 00007ffd5ea71458 R14: 000000007fffffff R15: 00007f01caa72c20
[122425.440926] amdgpu 0000:07:00.0: swiotlb buffer is full (sz: 2097152 bytes)
[122425.440930] swiotlb: coherent allocation failed for device 0000:07:00.0 size=2097152
[122425.440933] CPU: 4 PID: 17546 Comm: gnome-shell Not tainted 4.14.0-rc3-amd-vega+ #7
[122425.440934] Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F11 08/12/2014
[122425.440936] Call Trace:
[122425.440942]  dump_stack+0x8e/0xd6
[122425.440947]  swiotlb_alloc_coherent+0xec/0x160
[122425.440952]  x86_swiotlb_alloc_coherent+0x43/0x50
[122425.440960]  ttm_dma_pool_get_pages+0x220/0x630 [ttm]
[122425.440967]  ttm_dma_populate+0x24c/0x330 [ttm]
[122425.440994]  amdgpu_ttm_tt_populate+0xc1/0xe0 [amdgpu]
[122425.441000]  ttm_tt_bind+0x28/0x60 [ttm]
[122425.441006]  ttm_bo_handle_move_mem+0x569/0x5b0 [ttm]
[122425.441010]  ? ttm_bo_mem_space+0x385/0x450 [ttm]
[122425.441018]  ttm_bo_validate+0x185/0x1a0 [ttm]
[122425.441025]  ? _raw_write_unlock+0x27/0x40
[122425.441031]  ttm_bo_init_reserved+0x38c/0x4f0 [ttm]
[122425.441057]  amdgpu_bo_do_create+0x209/0x540 [amdgpu]
[122425.441083]  ? amdgpu_fill_buffer+0x2f0/0x2f0 [amdgpu]
[122425.441109]  amdgpu_bo_create+0x50/0x2c0 [amdgpu]
[122425.441136]  amdgpu_gem_object_create+0x83/0x110 [amdgpu]
[122425.441162]  amdgpu_gem_create_ioctl+0x135/0x280 [amdgpu]
[122425.441189]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122425.441201]  drm_ioctl_kernel+0x5d/0xb0 [drm]
[122425.441211]  drm_ioctl+0x31b/0x3d0 [drm]
[122425.441231]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122425.441239]  ? trace_hardirqs_on+0xd/0x10
[122425.441262]  amdgpu_drm_ioctl+0x4f/0x90 [amdgpu]
[122425.441267]  do_vfs_ioctl+0xa6/0x6c0
[122425.441274]  SyS_ioctl+0x79/0x90
[122425.441279]  entry_SYSCALL_64_fastpath+0x1f/0xbe
[122425.441282] RIP: 0033:0x7f01c9d2adc7
[122425.441284] RSP: 002b:00007ffd5ea6ff28 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[122425.441287] RAX: ffffffffffffffda RBX: 00007f01c9ffbc20 RCX: 00007f01c9d2adc7
[122425.441289] RDX: 00007ffd5ea6ff70 RSI: 00000000c0206440 RDI: 000000000000000c
[122425.441291] RBP: 00000000000000a0 R08: 000056017e5aa1d0 R09: 000056017e5aa1d0
[122425.441293] R10: 0000000000000007 R11: 0000000000000246 R12: 0000000000015881
[122425.441294] R13: 000056018576f780 R14: 0000000000000000 R15: 0000000000000003
[122422.348708] amdgpu 0000:07:00.0: swiotlb buffer is full (sz: 2097152 bytes)
[122422.348713] swiotlb: coherent allocation failed for device 0000:07:00.0 size=2097152
[122422.348717] CPU: 1 PID: 17546 Comm: gnome-shell Not tainted 4.14.0-rc3-amd-vega+ #7
[122422.348719] Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F11 08/12/2014
[122422.348721] Call Trace:
[122422.348728]  dump_stack+0x8e/0xd6
[122422.348733]  swiotlb_alloc_coherent+0xec/0x160
[122422.348739]  x86_swiotlb_alloc_coherent+0x43/0x50
[122422.348747]  ttm_dma_pool_get_pages+0x220/0x630 [ttm]
[122422.348755]  ttm_dma_populate+0x24c/0x330 [ttm]
[122422.348785]  amdgpu_ttm_tt_populate+0xc1/0xe0 [amdgpu]
[122422.348790]  ttm_tt_bind+0x28/0x60 [ttm]
[122422.348795]  ttm_bo_handle_move_mem+0x569/0x5b0 [ttm]
[122422.348800]  ? ttm_bo_mem_space+0x385/0x450 [ttm]
[122422.348807]  ttm_bo_validate+0x185/0x1a0 [ttm]
[122422.348813]  ? _raw_write_unlock+0x27/0x40
[122422.348819]  ttm_bo_init_reserved+0x38c/0x4f0 [ttm]
[122422.348843]  amdgpu_bo_do_create+0x209/0x540 [amdgpu]
[122422.348866]  ? amdgpu_fill_buffer+0x2f0/0x2f0 [amdgpu]
[122422.348892]  amdgpu_bo_create+0x50/0x2c0 [amdgpu]
[122422.348917]  amdgpu_gem_object_create+0x83/0x110 [amdgpu]
[122422.348943]  amdgpu_gem_create_ioctl+0x135/0x280 [amdgpu]
[122422.348967]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122422.348979]  drm_ioctl_kernel+0x5d/0xb0 [drm]
[122422.348988]  drm_ioctl+0x31b/0x3d0 [drm]
[122422.349010]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122422.349017]  ? trace_hardirqs_on+0xd/0x10
[122422.349040]  amdgpu_drm_ioctl+0x4f/0x90 [amdgpu]
[122422.349045]  do_vfs_ioctl+0xa6/0x6c0
[122422.349051]  SyS_ioctl+0x79/0x90
[122422.349055]  entry_SYSCALL_64_fastpath+0x1f/0xbe
[122422.349058] RIP: 0033:0x7f01c9d2adc7
[122422.349060] RSP: 002b:00007ffd5ea6feb8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[122422.349063] RAX: ffffffffffffffda RBX: 000056017d05df70 RCX: 00007f01c9d2adc7
[122422.349066] RDX: 00007ffd5ea6ff00 RSI: 00000000c0206440 RDI: 000000000000000c
[122422.349068] RBP: 00007ffd5ea70de0 R08: 0000560179ae1b70 R09: 0000560179ae1b70
[122422.349070] R10: 0000000000000007 R11: 0000000000000246 R12: 0000000000000018
[122422.349072] R13: 00007f00fef8aa00 R14: 0000000000000018 R15: 0000000000000900
[122423.894049] amdgpu 0000:07:00.0: swiotlb buffer is full (sz: 2097152 bytes)
[122423.894055] swiotlb: coherent allocation failed for device 0000:07:00.0 size=2097152
[122423.894058] CPU: 7 PID: 17546 Comm: gnome-shell Not tainted 4.14.0-rc3-amd-vega+ #7
[122423.894061] Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F11 08/12/2014
[122423.894063] Call Trace:
[122423.894071]  dump_stack+0x8e/0xd6
[122423.894077]  swiotlb_alloc_coherent+0xec/0x160
[122423.894083]  x86_swiotlb_alloc_coherent+0x43/0x50
[122423.894093]  ttm_dma_pool_get_pages+0x220/0x630 [ttm]
[122423.894103]  ttm_dma_populate+0x24c/0x330 [ttm]
[122423.894136]  amdgpu_ttm_tt_populate+0xc1/0xe0 [amdgpu]
[122423.894143]  ttm_tt_bind+0x28/0x60 [ttm]
[122423.894149]  ttm_bo_handle_move_mem+0x569/0x5b0 [ttm]
[122423.894154]  ? ttm_bo_mem_space+0x385/0x450 [ttm]
[122423.894163]  ttm_bo_validate+0x185/0x1a0 [ttm]
[122423.894169]  ? _raw_write_unlock+0x27/0x40
[122423.894176]  ttm_bo_init_reserved+0x38c/0x4f0 [ttm]
[122423.894208]  amdgpu_bo_do_create+0x209/0x540 [amdgpu]
[122423.894239]  ? amdgpu_fill_buffer+0x2f0/0x2f0 [amdgpu]
[122423.894269]  amdgpu_bo_create+0x50/0x2c0 [amdgpu]
[122423.894300]  amdgpu_gem_object_create+0x83/0x110 [amdgpu]
[122423.894330]  amdgpu_gem_create_ioctl+0x135/0x280 [amdgpu]
[122423.894358]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122423.894372]  drm_ioctl_kernel+0x5d/0xb0 [drm]
[122423.894384]  drm_ioctl+0x31b/0x3d0 [drm]
[122423.894408]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122423.894417]  ? trace_hardirqs_on+0xd/0x10
[122423.894443]  amdgpu_drm_ioctl+0x4f/0x90 [amdgpu]
[122423.894449]  do_vfs_ioctl+0xa6/0x6c0
[122423.894456]  SyS_ioctl+0x79/0x90
[122423.894462]  entry_SYSCALL_64_fastpath+0x1f/0xbe
[122423.894465] RIP: 0033:0x7f01c9d2adc7
[122423.894467] RSP: 002b:00007ffd5ea6ff28 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[122423.894471] RAX: ffffffffffffffda RBX: 00007ffd5ea71460 RCX: 00007f01c9d2adc7
[122423.894473] RDX: 00007ffd5ea6ff70 RSI: 00000000c0206440 RDI: 000000000000000c
[122423.894476] RBP: 000056017f08d6f0 R08: 0000560181fc1e40 R09: 0000560181fc1e40
[122423.894478] R10: 0000000000000007 R11: 0000000000000246 R12: 00007ffd5ea71458
[122423.894480] R13: 00007ffd5ea71458 R14: 000000007fffffff R15: 00007f01caa72c20
[122425.440926] amdgpu 0000:07:00.0: swiotlb buffer is full (sz: 2097152 bytes)
[122425.440930] swiotlb: coherent allocation failed for device 0000:07:00.0 size=2097152
[122425.440933] CPU: 4 PID: 17546 Comm: gnome-shell Not tainted 4.14.0-rc3-amd-vega+ #7
[122425.440934] Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F11 08/12/2014
[122425.440936] Call Trace:
[122425.440942]  dump_stack+0x8e/0xd6
[122425.440947]  swiotlb_alloc_coherent+0xec/0x160
[122425.440952]  x86_swiotlb_alloc_coherent+0x43/0x50
[122425.440960]  ttm_dma_pool_get_pages+0x220/0x630 [ttm]
[122425.440967]  ttm_dma_populate+0x24c/0x330 [ttm]
[122425.440994]  amdgpu_ttm_tt_populate+0xc1/0xe0 [amdgpu]
[122425.441000]  ttm_tt_bind+0x28/0x60 [ttm]
[122425.441006]  ttm_bo_handle_move_mem+0x569/0x5b0 [ttm]
[122425.441010]  ? ttm_bo_mem_space+0x385/0x450 [ttm]
[122425.441018]  ttm_bo_validate+0x185/0x1a0 [ttm]
[122425.441025]  ? _raw_write_unlock+0x27/0x40
[122425.441031]  ttm_bo_init_reserved+0x38c/0x4f0 [ttm]
[122425.441057]  amdgpu_bo_do_create+0x209/0x540 [amdgpu]
[122425.441083]  ? amdgpu_fill_buffer+0x2f0/0x2f0 [amdgpu]
[122425.441109]  amdgpu_bo_create+0x50/0x2c0 [amdgpu]
[122425.441136]  amdgpu_gem_object_create+0x83/0x110 [amdgpu]
[122425.441162]  amdgpu_gem_create_ioctl+0x135/0x280 [amdgpu]
[122425.441189]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122425.441201]  drm_ioctl_kernel+0x5d/0xb0 [drm]
[122425.441211]  drm_ioctl+0x31b/0x3d0 [drm]
[122425.441231]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122425.441239]  ? trace_hardirqs_on+0xd/0x10
[122425.441262]  amdgpu_drm_ioctl+0x4f/0x90 [amdgpu]
[122425.441267]  do_vfs_ioctl+0xa6/0x6c0
[122425.441274]  SyS_ioctl+0x79/0x90
[122425.441279]  entry_SYSCALL_64_fastpath+0x1f/0xbe
[122425.441282] RIP: 0033:0x7f01c9d2adc7
[122425.441284] RSP: 002b:00007ffd5ea6ff28 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[122425.441287] RAX: ffffffffffffffda RBX: 00007f01c9ffbc20 RCX: 00007f01c9d2adc7
[122425.441289] RDX: 00007ffd5ea6ff70 RSI: 00000000c0206440 RDI: 000000000000000c
[122425.441291] RBP: 00000000000000a0 R08: 000056017e5aa1d0 R09: 000056017e5aa1d0
[122425.441293] R10: 0000000000000007 R11: 0000000000000246 R12: 0000000000015881
[122425.441294] R13: 000056018576f780 R14: 0000000000000000 R15: 0000000000000003
[122422.348708] amdgpu 0000:07:00.0: swiotlb buffer is full (sz: 2097152 bytes)
[122422.348713] swiotlb: coherent allocation failed for device 0000:07:00.0 size=2097152
[122422.348717] CPU: 1 PID: 17546 Comm: gnome-shell Not tainted 4.14.0-rc3-amd-vega+ #7
[122422.348719] Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F11 08/12/2014
[122422.348721] Call Trace:
[122422.348728]  dump_stack+0x8e/0xd6
[122422.348733]  swiotlb_alloc_coherent+0xec/0x160
[122422.348739]  x86_swiotlb_alloc_coherent+0x43/0x50
[122422.348747]  ttm_dma_pool_get_pages+0x220/0x630 [ttm]
[122422.348755]  ttm_dma_populate+0x24c/0x330 [ttm]
[122422.348785]  amdgpu_ttm_tt_populate+0xc1/0xe0 [amdgpu]
[122422.348790]  ttm_tt_bind+0x28/0x60 [ttm]
[122422.348795]  ttm_bo_handle_move_mem+0x569/0x5b0 [ttm]
[122422.348800]  ? ttm_bo_mem_space+0x385/0x450 [ttm]
[122422.348807]  ttm_bo_validate+0x185/0x1a0 [ttm]
[122422.348813]  ? _raw_write_unlock+0x27/0x40
[122422.348819]  ttm_bo_init_reserved+0x38c/0x4f0 [ttm]
[122422.348843]  amdgpu_bo_do_create+0x209/0x540 [amdgpu]
[122422.348866]  ? amdgpu_fill_buffer+0x2f0/0x2f0 [amdgpu]
[122422.348892]  amdgpu_bo_create+0x50/0x2c0 [amdgpu]
[122422.348917]  amdgpu_gem_object_create+0x83/0x110 [amdgpu]
[122422.348943]  amdgpu_gem_create_ioctl+0x135/0x280 [amdgpu]
[122422.348967]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122422.348979]  drm_ioctl_kernel+0x5d/0xb0 [drm]
[122422.348988]  drm_ioctl+0x31b/0x3d0 [drm]
[122422.349010]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122422.349017]  ? trace_hardirqs_on+0xd/0x10
[122422.349040]  amdgpu_drm_ioctl+0x4f/0x90 [amdgpu]
[122422.349045]  do_vfs_ioctl+0xa6/0x6c0
[122422.349051]  SyS_ioctl+0x79/0x90
[122422.349055]  entry_SYSCALL_64_fastpath+0x1f/0xbe
[122422.349058] RIP: 0033:0x7f01c9d2adc7
[122422.349060] RSP: 002b:00007ffd5ea6feb8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[122422.349063] RAX: ffffffffffffffda RBX: 000056017d05df70 RCX: 00007f01c9d2adc7
[122422.349066] RDX: 00007ffd5ea6ff00 RSI: 00000000c0206440 RDI: 000000000000000c
[122422.349068] RBP: 00007ffd5ea70de0 R08: 0000560179ae1b70 R09: 0000560179ae1b70
[122422.349070] R10: 0000000000000007 R11: 0000000000000246 R12: 0000000000000018
[122422.349072] R13: 00007f00fef8aa00 R14: 0000000000000018 R15: 0000000000000900
[122423.894049] amdgpu 0000:07:00.0: swiotlb buffer is full (sz: 2097152 bytes)
[122423.894055] swiotlb: coherent allocation failed for device 0000:07:00.0 size=2097152
[122423.894058] CPU: 7 PID: 17546 Comm: gnome-shell Not tainted 4.14.0-rc3-amd-vega+ #7
[122423.894061] Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F11 08/12/2014
[122423.894063] Call Trace:
[122423.894071]  dump_stack+0x8e/0xd6
[122423.894077]  swiotlb_alloc_coherent+0xec/0x160
[122423.894083]  x86_swiotlb_alloc_coherent+0x43/0x50
[122423.894093]  ttm_dma_pool_get_pages+0x220/0x630 [ttm]
[122423.894103]  ttm_dma_populate+0x24c/0x330 [ttm]
[122423.894136]  amdgpu_ttm_tt_populate+0xc1/0xe0 [amdgpu]
[122423.894143]  ttm_tt_bind+0x28/0x60 [ttm]
[122423.894149]  ttm_bo_handle_move_mem+0x569/0x5b0 [ttm]
[122423.894154]  ? ttm_bo_mem_space+0x385/0x450 [ttm]
[122423.894163]  ttm_bo_validate+0x185/0x1a0 [ttm]
[122423.894169]  ? _raw_write_unlock+0x27/0x40
[122423.894176]  ttm_bo_init_reserved+0x38c/0x4f0 [ttm]
[122423.894208]  amdgpu_bo_do_create+0x209/0x540 [amdgpu]
[122423.894239]  ? amdgpu_fill_buffer+0x2f0/0x2f0 [amdgpu]
[122423.894269]  amdgpu_bo_create+0x50/0x2c0 [amdgpu]
[122423.894300]  amdgpu_gem_object_create+0x83/0x110 [amdgpu]
[122423.894330]  amdgpu_gem_create_ioctl+0x135/0x280 [amdgpu]
[122423.894358]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122423.894372]  drm_ioctl_kernel+0x5d/0xb0 [drm]
[122423.894384]  drm_ioctl+0x31b/0x3d0 [drm]
[122423.894408]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122423.894417]  ? trace_hardirqs_on+0xd/0x10
[122423.894443]  amdgpu_drm_ioctl+0x4f/0x90 [amdgpu]
[122423.894449]  do_vfs_ioctl+0xa6/0x6c0
[122423.894456]  SyS_ioctl+0x79/0x90
[122423.894462]  entry_SYSCALL_64_fastpath+0x1f/0xbe
[122423.894465] RIP: 0033:0x7f01c9d2adc7
[122423.894467] RSP: 002b:00007ffd5ea6ff28 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[122423.894471] RAX: ffffffffffffffda RBX: 00007ffd5ea71460 RCX: 00007f01c9d2adc7
[122423.894473] RDX: 00007ffd5ea6ff70 RSI: 00000000c0206440 RDI: 000000000000000c
[122423.894476] RBP: 000056017f08d6f0 R08: 0000560181fc1e40 R09: 0000560181fc1e40
[122423.894478] R10: 0000000000000007 R11: 0000000000000246 R12: 00007ffd5ea71458
[122423.894480] R13: 00007ffd5ea71458 R14: 000000007fffffff R15: 00007f01caa72c20
[122425.440926] amdgpu 0000:07:00.0: swiotlb buffer is full (sz: 2097152 bytes)
[122425.440930] swiotlb: coherent allocation failed for device 0000:07:00.0 size=2097152
[122425.440933] CPU: 4 PID: 17546 Comm: gnome-shell Not tainted 4.14.0-rc3-amd-vega+ #7
[122425.440934] Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F11 08/12/2014
[122425.440936] Call Trace:
[122425.440942]  dump_stack+0x8e/0xd6
[122425.440947]  swiotlb_alloc_coherent+0xec/0x160
[122425.440952]  x86_swiotlb_alloc_coherent+0x43/0x50
[122425.440960]  ttm_dma_pool_get_pages+0x220/0x630 [ttm]
[122425.440967]  ttm_dma_populate+0x24c/0x330 [ttm]
[122425.440994]  amdgpu_ttm_tt_populate+0xc1/0xe0 [amdgpu]
[122425.441000]  ttm_tt_bind+0x28/0x60 [ttm]
[122425.441006]  ttm_bo_handle_move_mem+0x569/0x5b0 [ttm]
[122425.441010]  ? ttm_bo_mem_space+0x385/0x450 [ttm]
[122425.441018]  ttm_bo_validate+0x185/0x1a0 [ttm]
[122425.441025]  ? _raw_write_unlock+0x27/0x40
[122425.441031]  ttm_bo_init_reserved+0x38c/0x4f0 [ttm]
[122425.441057]  amdgpu_bo_do_create+0x209/0x540 [amdgpu]
[122425.441083]  ? amdgpu_fill_buffer+0x2f0/0x2f0 [amdgpu]
[122425.441109]  amdgpu_bo_create+0x50/0x2c0 [amdgpu]
[122425.441136]  amdgpu_gem_object_create+0x83/0x110 [amdgpu]
[122425.441162]  amdgpu_gem_create_ioctl+0x135/0x280 [amdgpu]
[122425.441189]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122425.441201]  drm_ioctl_kernel+0x5d/0xb0 [drm]
[122425.441211]  drm_ioctl+0x31b/0x3d0 [drm]
[122425.441231]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122425.441239]  ? trace_hardirqs_on+0xd/0x10
[122425.441262]  amdgpu_drm_ioctl+0x4f/0x90 [amdgpu]
[122425.441267]  do_vfs_ioctl+0xa6/0x6c0
[122425.441274]  SyS_ioctl+0x79/0x90
[122425.441279]  entry_SYSCALL_64_fastpath+0x1f/0xbe
[122425.441282] RIP: 0033:0x7f01c9d2adc7
[122425.441284] RSP: 002b:00007ffd5ea6ff28 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[122425.441287] RAX: ffffffffffffffda RBX: 00007f01c9ffbc20 RCX: 00007f01c9d2adc7
[122425.441289] RDX: 00007ffd5ea6ff70 RSI: 00000000c0206440 RDI: 000000000000000c
[122425.441291] RBP: 00000000000000a0 R08: 000056017e5aa1d0 R09: 000056017e5aa1d0
[122425.441293] R10: 0000000000000007 R11: 0000000000000246 R12: 0000000000015881
[122425.441294] R13: 000056018576f780 R14: 0000000000000000 R15: 0000000000000003
[122422.348708] amdgpu 0000:07:00.0: swiotlb buffer is full (sz: 2097152 bytes)
[122422.348713] swiotlb: coherent allocation failed for device 0000:07:00.0 size=2097152
[122422.348717] CPU: 1 PID: 17546 Comm: gnome-shell Not tainted 4.14.0-rc3-amd-vega+ #7
[122422.348719] Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F11 08/12/2014
[122422.348721] Call Trace:
[122422.348728]  dump_stack+0x8e/0xd6
[122422.348733]  swiotlb_alloc_coherent+0xec/0x160
[122422.348739]  x86_swiotlb_alloc_coherent+0x43/0x50
[122422.348747]  ttm_dma_pool_get_pages+0x220/0x630 [ttm]
[122422.348755]  ttm_dma_populate+0x24c/0x330 [ttm]
[122422.348785]  amdgpu_ttm_tt_populate+0xc1/0xe0 [amdgpu]
[122422.348790]  ttm_tt_bind+0x28/0x60 [ttm]
[122422.348795]  ttm_bo_handle_move_mem+0x569/0x5b0 [ttm]
[122422.348800]  ? ttm_bo_mem_space+0x385/0x450 [ttm]
[122422.348807]  ttm_bo_validate+0x185/0x1a0 [ttm]
[122422.348813]  ? _raw_write_unlock+0x27/0x40
[122422.348819]  ttm_bo_init_reserved+0x38c/0x4f0 [ttm]
[122422.348843]  amdgpu_bo_do_create+0x209/0x540 [amdgpu]
[122422.348866]  ? amdgpu_fill_buffer+0x2f0/0x2f0 [amdgpu]
[122422.348892]  amdgpu_bo_create+0x50/0x2c0 [amdgpu]
[122422.348917]  amdgpu_gem_object_create+0x83/0x110 [amdgpu]
[122422.348943]  amdgpu_gem_create_ioctl+0x135/0x280 [amdgpu]
[122422.348967]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122422.348979]  drm_ioctl_kernel+0x5d/0xb0 [drm]
[122422.348988]  drm_ioctl+0x31b/0x3d0 [drm]
[122422.349010]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122422.349017]  ? trace_hardirqs_on+0xd/0x10
[122422.349040]  amdgpu_drm_ioctl+0x4f/0x90 [amdgpu]
[122422.349045]  do_vfs_ioctl+0xa6/0x6c0
[122422.349051]  SyS_ioctl+0x79/0x90
[122422.349055]  entry_SYSCALL_64_fastpath+0x1f/0xbe
[122422.349058] RIP: 0033:0x7f01c9d2adc7
[122422.349060] RSP: 002b:00007ffd5ea6feb8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[122422.349063] RAX: ffffffffffffffda RBX: 000056017d05df70 RCX: 00007f01c9d2adc7
[122422.349066] RDX: 00007ffd5ea6ff00 RSI: 00000000c0206440 RDI: 000000000000000c
[122422.349068] RBP: 00007ffd5ea70de0 R08: 0000560179ae1b70 R09: 0000560179ae1b70
[122422.349070] R10: 0000000000000007 R11: 0000000000000246 R12: 0000000000000018
[122422.349072] R13: 00007f00fef8aa00 R14: 0000000000000018 R15: 0000000000000900
[122423.894049] amdgpu 0000:07:00.0: swiotlb buffer is full (sz: 2097152 bytes)
[122423.894055] swiotlb: coherent allocation failed for device 0000:07:00.0 size=2097152
[122423.894058] CPU: 7 PID: 17546 Comm: gnome-shell Not tainted 4.14.0-rc3-amd-vega+ #7
[122423.894061] Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F11 08/12/2014
[122423.894063] Call Trace:
[122423.894071]  dump_stack+0x8e/0xd6
[122423.894077]  swiotlb_alloc_coherent+0xec/0x160
[122423.894083]  x86_swiotlb_alloc_coherent+0x43/0x50
[122423.894093]  ttm_dma_pool_get_pages+0x220/0x630 [ttm]
[122423.894103]  ttm_dma_populate+0x24c/0x330 [ttm]
[122423.894136]  amdgpu_ttm_tt_populate+0xc1/0xe0 [amdgpu]
[122423.894143]  ttm_tt_bind+0x28/0x60 [ttm]
[122423.894149]  ttm_bo_handle_move_mem+0x569/0x5b0 [ttm]
[122423.894154]  ? ttm_bo_mem_space+0x385/0x450 [ttm]
[122423.894163]  ttm_bo_validate+0x185/0x1a0 [ttm]
[122423.894169]  ? _raw_write_unlock+0x27/0x40
[122423.894176]  ttm_bo_init_reserved+0x38c/0x4f0 [ttm]
[122423.894208]  amdgpu_bo_do_create+0x209/0x540 [amdgpu]
[122423.894239]  ? amdgpu_fill_buffer+0x2f0/0x2f0 [amdgpu]
[122423.894269]  amdgpu_bo_create+0x50/0x2c0 [amdgpu]
[122423.894300]  amdgpu_gem_object_create+0x83/0x110 [amdgpu]
[122423.894330]  amdgpu_gem_create_ioctl+0x135/0x280 [amdgpu]
[122423.894358]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122423.894372]  drm_ioctl_kernel+0x5d/0xb0 [drm]
[122423.894384]  drm_ioctl+0x31b/0x3d0 [drm]
[122423.894408]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122423.894417]  ? trace_hardirqs_on+0xd/0x10
[122423.894443]  amdgpu_drm_ioctl+0x4f/0x90 [amdgpu]
[122423.894449]  do_vfs_ioctl+0xa6/0x6c0
[122423.894456]  SyS_ioctl+0x79/0x90
[122423.894462]  entry_SYSCALL_64_fastpath+0x1f/0xbe
[122423.894465] RIP: 0033:0x7f01c9d2adc7
[122423.894467] RSP: 002b:00007ffd5ea6ff28 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[122423.894471] RAX: ffffffffffffffda RBX: 00007ffd5ea71460 RCX: 00007f01c9d2adc7
[122423.894473] RDX: 00007ffd5ea6ff70 RSI: 00000000c0206440 RDI: 000000000000000c
[122423.894476] RBP: 000056017f08d6f0 R08: 0000560181fc1e40 R09: 0000560181fc1e40
[122423.894478] R10: 0000000000000007 R11: 0000000000000246 R12: 00007ffd5ea71458
[122423.894480] R13: 00007ffd5ea71458 R14: 000000007fffffff R15: 00007f01caa72c20
[122425.440926] amdgpu 0000:07:00.0: swiotlb buffer is full (sz: 2097152 bytes)
[122425.440930] swiotlb: coherent allocation failed for device 0000:07:00.0 size=2097152
[122425.440933] CPU: 4 PID: 17546 Comm: gnome-shell Not tainted 4.14.0-rc3-amd-vega+ #7
[122425.440934] Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F11 08/12/2014
[122425.440936] Call Trace:
[122425.440942]  dump_stack+0x8e/0xd6
[122425.440947]  swiotlb_alloc_coherent+0xec/0x160
[122425.440952]  x86_swiotlb_alloc_coherent+0x43/0x50
[122425.440960]  ttm_dma_pool_get_pages+0x220/0x630 [ttm]
[122425.440967]  ttm_dma_populate+0x24c/0x330 [ttm]
[122425.440994]  amdgpu_ttm_tt_populate+0xc1/0xe0 [amdgpu]
[122425.441000]  ttm_tt_bind+0x28/0x60 [ttm]
[122425.441006]  ttm_bo_handle_move_mem+0x569/0x5b0 [ttm]
[122425.441010]  ? ttm_bo_mem_space+0x385/0x450 [ttm]
[122425.441018]  ttm_bo_validate+0x185/0x1a0 [ttm]
[122425.441025]  ? _raw_write_unlock+0x27/0x40
[122425.441031]  ttm_bo_init_reserved+0x38c/0x4f0 [ttm]
[122425.441057]  amdgpu_bo_do_create+0x209/0x540 [amdgpu]
[122425.441083]  ? amdgpu_fill_buffer+0x2f0/0x2f0 [amdgpu]
[122425.441109]  amdgpu_bo_create+0x50/0x2c0 [amdgpu]
[122425.441136]  amdgpu_gem_object_create+0x83/0x110 [amdgpu]
[122425.441162]  amdgpu_gem_create_ioctl+0x135/0x280 [amdgpu]
[122425.441189]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122425.441201]  drm_ioctl_kernel+0x5d/0xb0 [drm]
[122425.441211]  drm_ioctl+0x31b/0x3d0 [drm]
[122425.441231]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122425.441239]  ? trace_hardirqs_on+0xd/0x10
[122425.441262]  amdgpu_drm_ioctl+0x4f/0x90 [amdgpu]
[122425.441267]  do_vfs_ioctl+0xa6/0x6c0
[122425.441274]  SyS_ioctl+0x79/0x90
[122425.441279]  entry_SYSCALL_64_fastpath+0x1f/0xbe
[122425.441282] RIP: 0033:0x7f01c9d2adc7
[122425.441284] RSP: 002b:00007ffd5ea6ff28 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[122425.441287] RAX: ffffffffffffffda RBX: 00007f01c9ffbc20 RCX: 00007f01c9d2adc7
[122425.441289] RDX: 00007ffd5ea6ff70 RSI: 00000000c0206440 RDI: 000000000000000c
[122425.441291] RBP: 00000000000000a0 R08: 000056017e5aa1d0 R09: 000056017e5aa1d0
[122425.441293] R10: 0000000000000007 R11: 0000000000000246 R12: 0000000000015881
[122425.441294] R13: 000056018576f780 R14: 0000000000000000 R15: 0000000000000003
[122422.348708] amdgpu 0000:07:00.0: swiotlb buffer is full (sz: 2097152 bytes)
[122422.348713] swiotlb: coherent allocation failed for device 0000:07:00.0 size=2097152
[122422.348717] CPU: 1 PID: 17546 Comm: gnome-shell Not tainted 4.14.0-rc3-amd-vega+ #7
[122422.348719] Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F11 08/12/2014
[122422.348721] Call Trace:
[122422.348728]  dump_stack+0x8e/0xd6
[122422.348733]  swiotlb_alloc_coherent+0xec/0x160
[122422.348739]  x86_swiotlb_alloc_coherent+0x43/0x50
[122422.348747]  ttm_dma_pool_get_pages+0x220/0x630 [ttm]
[122422.348755]  ttm_dma_populate+0x24c/0x330 [ttm]
[122422.348785]  amdgpu_ttm_tt_populate+0xc1/0xe0 [amdgpu]
[122422.348790]  ttm_tt_bind+0x28/0x60 [ttm]
[122422.348795]  ttm_bo_handle_move_mem+0x569/0x5b0 [ttm]
[122422.348800]  ? ttm_bo_mem_space+0x385/0x450 [ttm]
[122422.348807]  ttm_bo_validate+0x185/0x1a0 [ttm]
[122422.348813]  ? _raw_write_unlock+0x27/0x40
[122422.348819]  ttm_bo_init_reserved+0x38c/0x4f0 [ttm]
[122422.348843]  amdgpu_bo_do_create+0x209/0x540 [amdgpu]
[122422.348866]  ? amdgpu_fill_buffer+0x2f0/0x2f0 [amdgpu]
[122422.348892]  amdgpu_bo_create+0x50/0x2c0 [amdgpu]
[122422.348917]  amdgpu_gem_object_create+0x83/0x110 [amdgpu]
[122422.348943]  amdgpu_gem_create_ioctl+0x135/0x280 [amdgpu]
[122422.348967]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122422.348979]  drm_ioctl_kernel+0x5d/0xb0 [drm]
[122422.348988]  drm_ioctl+0x31b/0x3d0 [drm]
[122422.349010]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122422.349017]  ? trace_hardirqs_on+0xd/0x10
[122422.349040]  amdgpu_drm_ioctl+0x4f/0x90 [amdgpu]
[122422.349045]  do_vfs_ioctl+0xa6/0x6c0
[122422.349051]  SyS_ioctl+0x79/0x90
[122422.349055]  entry_SYSCALL_64_fastpath+0x1f/0xbe
[122422.349058] RIP: 0033:0x7f01c9d2adc7
[122422.349060] RSP: 002b:00007ffd5ea6feb8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[122422.349063] RAX: ffffffffffffffda RBX: 000056017d05df70 RCX: 00007f01c9d2adc7
[122422.349066] RDX: 00007ffd5ea6ff00 RSI: 00000000c0206440 RDI: 000000000000000c
[122422.349068] RBP: 00007ffd5ea70de0 R08: 0000560179ae1b70 R09: 0000560179ae1b70
[122422.349070] R10: 0000000000000007 R11: 0000000000000246 R12: 0000000000000018
[122422.349072] R13: 00007f00fef8aa00 R14: 0000000000000018 R15: 0000000000000900
[122423.894049] amdgpu 0000:07:00.0: swiotlb buffer is full (sz: 2097152 bytes)
[122423.894055] swiotlb: coherent allocation failed for device 0000:07:00.0 size=2097152
[122423.894058] CPU: 7 PID: 17546 Comm: gnome-shell Not tainted 4.14.0-rc3-amd-vega+ #7
[122423.894061] Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F11 08/12/2014
[122423.894063] Call Trace:
[122423.894071]  dump_stack+0x8e/0xd6
[122423.894077]  swiotlb_alloc_coherent+0xec/0x160
[122423.894083]  x86_swiotlb_alloc_coherent+0x43/0x50
[122423.894093]  ttm_dma_pool_get_pages+0x220/0x630 [ttm]
[122423.894103]  ttm_dma_populate+0x24c/0x330 [ttm]
[122423.894136]  amdgpu_ttm_tt_populate+0xc1/0xe0 [amdgpu]
[122423.894143]  ttm_tt_bind+0x28/0x60 [ttm]
[122423.894149]  ttm_bo_handle_move_mem+0x569/0x5b0 [ttm]
[122423.894154]  ? ttm_bo_mem_space+0x385/0x450 [ttm]
[122423.894163]  ttm_bo_validate+0x185/0x1a0 [ttm]
[122423.894169]  ? _raw_write_unlock+0x27/0x40
[122423.894176]  ttm_bo_init_reserved+0x38c/0x4f0 [ttm]
[122423.894208]  amdgpu_bo_do_create+0x209/0x540 [amdgpu]
[122423.894239]  ? amdgpu_fill_buffer+0x2f0/0x2f0 [amdgpu]
[122423.894269]  amdgpu_bo_create+0x50/0x2c0 [amdgpu]
[122423.894300]  amdgpu_gem_object_create+0x83/0x110 [amdgpu]
[122423.894330]  amdgpu_gem_create_ioctl+0x135/0x280 [amdgpu]
[122423.894358]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122423.894372]  drm_ioctl_kernel+0x5d/0xb0 [drm]
[122423.894384]  drm_ioctl+0x31b/0x3d0 [drm]
[122423.894408]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122423.894417]  ? trace_hardirqs_on+0xd/0x10
[122423.894443]  amdgpu_drm_ioctl+0x4f/0x90 [amdgpu]
[122423.894449]  do_vfs_ioctl+0xa6/0x6c0
[122423.894456]  SyS_ioctl+0x79/0x90
[122423.894462]  entry_SYSCALL_64_fastpath+0x1f/0xbe
[122423.894465] RIP: 0033:0x7f01c9d2adc7
[122423.894467] RSP: 002b:00007ffd5ea6ff28 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[122423.894471] RAX: ffffffffffffffda RBX: 00007ffd5ea71460 RCX: 00007f01c9d2adc7
[122423.894473] RDX: 00007ffd5ea6ff70 RSI: 00000000c0206440 RDI: 000000000000000c
[122423.894476] RBP: 000056017f08d6f0 R08: 0000560181fc1e40 R09: 0000560181fc1e40
[122423.894478] R10: 0000000000000007 R11: 0000000000000246 R12: 00007ffd5ea71458
[122423.894480] R13: 00007ffd5ea71458 R14: 000000007fffffff R15: 00007f01caa72c20
[122425.440926] amdgpu 0000:07:00.0: swiotlb buffer is full (sz: 2097152 bytes)
[122425.440930] swiotlb: coherent allocation failed for device 0000:07:00.0 size=2097152
[122425.440933] CPU: 4 PID: 17546 Comm: gnome-shell Not tainted 4.14.0-rc3-amd-vega+ #7
[122425.440934] Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F11 08/12/2014
[122425.440936] Call Trace:
[122425.440942]  dump_stack+0x8e/0xd6
[122425.440947]  swiotlb_alloc_coherent+0xec/0x160
[122425.440952]  x86_swiotlb_alloc_coherent+0x43/0x50
[122425.440960]  ttm_dma_pool_get_pages+0x220/0x630 [ttm]
[122425.440967]  ttm_dma_populate+0x24c/0x330 [ttm]
[122425.440994]  amdgpu_ttm_tt_populate+0xc1/0xe0 [amdgpu]
[122425.441000]  ttm_tt_bind+0x28/0x60 [ttm]
[122425.441006]  ttm_bo_handle_move_mem+0x569/0x5b0 [ttm]
[122425.441010]  ? ttm_bo_mem_space+0x385/0x450 [ttm]
[122425.441018]  ttm_bo_validate+0x185/0x1a0 [ttm]
[122425.441025]  ? _raw_write_unlock+0x27/0x40
[122425.441031]  ttm_bo_init_reserved+0x38c/0x4f0 [ttm]
[122425.441057]  amdgpu_bo_do_create+0x209/0x540 [amdgpu]
[122425.441083]  ? amdgpu_fill_buffer+0x2f0/0x2f0 [amdgpu]
[122425.441109]  amdgpu_bo_create+0x50/0x2c0 [amdgpu]
[122425.441136]  amdgpu_gem_object_create+0x83/0x110 [amdgpu]
[122425.441162]  amdgpu_gem_create_ioctl+0x135/0x280 [amdgpu]
[122425.441189]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122425.441201]  drm_ioctl_kernel+0x5d/0xb0 [drm]
[122425.441211]  drm_ioctl+0x31b/0x3d0 [drm]
[122425.441231]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122425.441239]  ? trace_hardirqs_on+0xd/0x10
[122425.441262]  amdgpu_drm_ioctl+0x4f/0x90 [amdgpu]
[122425.441267]  do_vfs_ioctl+0xa6/0x6c0
[122425.441274]  SyS_ioctl+0x79/0x90
[122425.441279]  entry_SYSCALL_64_fastpath+0x1f/0xbe
[122425.441282] RIP: 0033:0x7f01c9d2adc7
[122425.441284] RSP: 002b:00007ffd5ea6ff28 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[122425.441287] RAX: ffffffffffffffda RBX: 00007f01c9ffbc20 RCX: 00007f01c9d2adc7
[122425.441289] RDX: 00007ffd5ea6ff70 RSI: 00000000c0206440 RDI: 000000000000000c
[122425.441291] RBP: 00000000000000a0 R08: 000056017e5aa1d0 R09: 000056017e5aa1d0
[122425.441293] R10: 0000000000000007 R11: 0000000000000246 R12: 0000000000015881
[122425.441294] R13: 000056018576f780 R14: 0000000000000000 R15: 0000000000000003
[122422.348708] amdgpu 0000:07:00.0: swiotlb buffer is full (sz: 2097152 bytes)
[122422.348713] swiotlb: coherent allocation failed for device 0000:07:00.0 size=2097152
[122422.348717] CPU: 1 PID: 17546 Comm: gnome-shell Not tainted 4.14.0-rc3-amd-vega+ #7
[122422.348719] Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F11 08/12/2014
[122422.348721] Call Trace:
[122422.348728]  dump_stack+0x8e/0xd6
[122422.348733]  swiotlb_alloc_coherent+0xec/0x160
[122422.348739]  x86_swiotlb_alloc_coherent+0x43/0x50
[122422.348747]  ttm_dma_pool_get_pages+0x220/0x630 [ttm]
[122422.348755]  ttm_dma_populate+0x24c/0x330 [ttm]
[122422.348785]  amdgpu_ttm_tt_populate+0xc1/0xe0 [amdgpu]
[122422.348790]  ttm_tt_bind+0x28/0x60 [ttm]
[122422.348795]  ttm_bo_handle_move_mem+0x569/0x5b0 [ttm]
[122422.348800]  ? ttm_bo_mem_space+0x385/0x450 [ttm]
[122422.348807]  ttm_bo_validate+0x185/0x1a0 [ttm]
[122422.348813]  ? _raw_write_unlock+0x27/0x40
[122422.348819]  ttm_bo_init_reserved+0x38c/0x4f0 [ttm]
[122422.348843]  amdgpu_bo_do_create+0x209/0x540 [amdgpu]
[122422.348866]  ? amdgpu_fill_buffer+0x2f0/0x2f0 [amdgpu]
[122422.348892]  amdgpu_bo_create+0x50/0x2c0 [amdgpu]
[122422.348917]  amdgpu_gem_object_create+0x83/0x110 [amdgpu]
[122422.348943]  amdgpu_gem_create_ioctl+0x135/0x280 [amdgpu]
[122422.348967]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122422.348979]  drm_ioctl_kernel+0x5d/0xb0 [drm]
[122422.348988]  drm_ioctl+0x31b/0x3d0 [drm]
[122422.349010]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122422.349017]  ? trace_hardirqs_on+0xd/0x10
[122422.349040]  amdgpu_drm_ioctl+0x4f/0x90 [amdgpu]
[122422.349045]  do_vfs_ioctl+0xa6/0x6c0
[122422.349051]  SyS_ioctl+0x79/0x90
[122422.349055]  entry_SYSCALL_64_fastpath+0x1f/0xbe
[122422.349058] RIP: 0033:0x7f01c9d2adc7
[122422.349060] RSP: 002b:00007ffd5ea6feb8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[122422.349063] RAX: ffffffffffffffda RBX: 000056017d05df70 RCX: 00007f01c9d2adc7
[122422.349066] RDX: 00007ffd5ea6ff00 RSI: 00000000c0206440 RDI: 000000000000000c
[122422.349068] RBP: 00007ffd5ea70de0 R08: 0000560179ae1b70 R09: 0000560179ae1b70
[122422.349070] R10: 0000000000000007 R11: 0000000000000246 R12: 0000000000000018
[122422.349072] R13: 00007f00fef8aa00 R14: 0000000000000018 R15: 0000000000000900
[122423.894049] amdgpu 0000:07:00.0: swiotlb buffer is full (sz: 2097152 bytes)
[122423.894055] swiotlb: coherent allocation failed for device 0000:07:00.0 size=2097152
[122423.894058] CPU: 7 PID: 17546 Comm: gnome-shell Not tainted 4.14.0-rc3-amd-vega+ #7
[122423.894061] Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F11 08/12/2014
[122423.894063] Call Trace:
[122423.894071]  dump_stack+0x8e/0xd6
[122423.894077]  swiotlb_alloc_coherent+0xec/0x160
[122423.894083]  x86_swiotlb_alloc_coherent+0x43/0x50
[122423.894093]  ttm_dma_pool_get_pages+0x220/0x630 [ttm]
[122423.894103]  ttm_dma_populate+0x24c/0x330 [ttm]
[122423.894136]  amdgpu_ttm_tt_populate+0xc1/0xe0 [amdgpu]
[122423.894143]  ttm_tt_bind+0x28/0x60 [ttm]
[122423.894149]  ttm_bo_handle_move_mem+0x569/0x5b0 [ttm]
[122423.894154]  ? ttm_bo_mem_space+0x385/0x450 [ttm]
[122423.894163]  ttm_bo_validate+0x185/0x1a0 [ttm]
[122423.894169]  ? _raw_write_unlock+0x27/0x40
[122423.894176]  ttm_bo_init_reserved+0x38c/0x4f0 [ttm]
[122423.894208]  amdgpu_bo_do_create+0x209/0x540 [amdgpu]
[122423.894239]  ? amdgpu_fill_buffer+0x2f0/0x2f0 [amdgpu]
[122423.894269]  amdgpu_bo_create+0x50/0x2c0 [amdgpu]
[122423.894300]  amdgpu_gem_object_create+0x83/0x110 [amdgpu]
[122423.894330]  amdgpu_gem_create_ioctl+0x135/0x280 [amdgpu]
[122423.894358]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122423.894372]  drm_ioctl_kernel+0x5d/0xb0 [drm]
[122423.894384]  drm_ioctl+0x31b/0x3d0 [drm]
[122423.894408]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122423.894417]  ? trace_hardirqs_on+0xd/0x10
[122423.894443]  amdgpu_drm_ioctl+0x4f/0x90 [amdgpu]
[122423.894449]  do_vfs_ioctl+0xa6/0x6c0
[122423.894456]  SyS_ioctl+0x79/0x90
[122423.894462]  entry_SYSCALL_64_fastpath+0x1f/0xbe
[122423.894465] RIP: 0033:0x7f01c9d2adc7
[122423.894467] RSP: 002b:00007ffd5ea6ff28 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[122423.894471] RAX: ffffffffffffffda RBX: 00007ffd5ea71460 RCX: 00007f01c9d2adc7
[122423.894473] RDX: 00007ffd5ea6ff70 RSI: 00000000c0206440 RDI: 000000000000000c
[122423.894476] RBP: 000056017f08d6f0 R08: 0000560181fc1e40 R09: 0000560181fc1e40
[122423.894478] R10: 0000000000000007 R11: 0000000000000246 R12: 00007ffd5ea71458
[122423.894480] R13: 00007ffd5ea71458 R14: 000000007fffffff R15: 00007f01caa72c20
[122425.440926] amdgpu 0000:07:00.0: swiotlb buffer is full (sz: 2097152 bytes)
[122425.440930] swiotlb: coherent allocation failed for device 0000:07:00.0 size=2097152
[122425.440933] CPU: 4 PID: 17546 Comm: gnome-shell Not tainted 4.14.0-rc3-amd-vega+ #7
[122425.440934] Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F11 08/12/2014
[122425.440936] Call Trace:
[122425.440942]  dump_stack+0x8e/0xd6
[122425.440947]  swiotlb_alloc_coherent+0xec/0x160
[122425.440952]  x86_swiotlb_alloc_coherent+0x43/0x50
[122425.440960]  ttm_dma_pool_get_pages+0x220/0x630 [ttm]
[122425.440967]  ttm_dma_populate+0x24c/0x330 [ttm]
[122425.440994]  amdgpu_ttm_tt_populate+0xc1/0xe0 [amdgpu]
[122425.441000]  ttm_tt_bind+0x28/0x60 [ttm]
[122425.441006]  ttm_bo_handle_move_mem+0x569/0x5b0 [ttm]
[122425.441010]  ? ttm_bo_mem_space+0x385/0x450 [ttm]
[122425.441018]  ttm_bo_validate+0x185/0x1a0 [ttm]
[122425.441025]  ? _raw_write_unlock+0x27/0x40
[122425.441031]  ttm_bo_init_reserved+0x38c/0x4f0 [ttm]
[122425.441057]  amdgpu_bo_do_create+0x209/0x540 [amdgpu]
[122425.441083]  ? amdgpu_fill_buffer+0x2f0/0x2f0 [amdgpu]
[122425.441109]  amdgpu_bo_create+0x50/0x2c0 [amdgpu]
[122425.441136]  amdgpu_gem_object_create+0x83/0x110 [amdgpu]
[122425.441162]  amdgpu_gem_create_ioctl+0x135/0x280 [amdgpu]
[122425.441189]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122425.441201]  drm_ioctl_kernel+0x5d/0xb0 [drm]
[122425.441211]  drm_ioctl+0x31b/0x3d0 [drm]
[122425.441231]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[122425.441239]  ? trace_hardirqs_on+0xd/0x10
[122425.441262]  amdgpu_drm_ioctl+0x4f/0x90 [amdgpu]
[122425.441267]  do_vfs_ioctl+0xa6/0x6c0
[122425.441274]  SyS_ioctl+0x79/0x90
[122425.441279]  entry_SYSCALL_64_fastpath+0x1f/0xbe
[122425.441282] RIP: 0033:0x7f01c9d2adc7
[122425.441284] RSP: 002b:00007ffd5ea6ff28 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[122425.441287] RAX: ffffffffffffffda RBX: 00007f01c9ffbc20 RCX: 00007f01c9d2adc7
[122425.441289] RDX: 00007ffd5ea6ff70 RSI: 00000000c0206440 RDI: 000000000000000c
[122425.441291] RBP: 00000000000000a0 R08: 000056017e5aa1d0 R09: 000056017e5aa1d0
[122425.441293] R10: 0000000000000007 R11: 0000000000000246 R12: 0000000000015881
[122425.441294] R13: 000056018576f780 R14: 0000000000000000 R15: 0000000000000003
Comment 1 coolo1mc 2017-12-22 09:41:07 UTC
also getting the same issue with my vega 56, linux 4.15, mesa-git
Comment 2 coolo1mc 2017-12-22 09:41:36 UTC
Created attachment 136362 [details]
dmesg
Comment 3 Alexander Schlarb 2017-12-23 16:53:52 UTC
Same issue with AMD Radeon R9 M385X my Lenovo Y700ACZ laptop with linux-next and Debian unstable Mesa (17.3.1-1).
Comment 4 Alexander Schlarb 2017-12-23 16:55:37 UTC
Created attachment 136378 [details]
dmesg on M385X
Comment 5 Tom Englund 2017-12-27 00:40:44 UTC
happends here aswell on various applications, i do however not really notice any problems in the applications themself when it happends.


lscpi:
VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Vega 10 XT [Radeon RX Vega 64] (rev c3) (prog-if 00 [VGA controller])

glxinfo:
OpenGL renderer string: Radeon RX Vega (VEGA10 / DRM 3.23.0 / 4.15.0-rc2-mainline, LLVM 6.0.0)
OpenGL core profile version string: 4.5 (Core Profile) Mesa 17.4.0-devel (git-3667714ccd)
Comment 6 Christian König 2018-01-02 12:09:51 UTC
*** Bug 104435 has been marked as a duplicate of this bug. ***
Comment 7 mikhail.v.gavrilov 2018-01-16 03:22:35 UTC
Created attachment 136745 [details]
dmesg with 4.15.0-rc2 amd-staging-drm-next
Comment 8 Alex Deucher 2018-01-18 14:41:02 UTC
*** Bug 104685 has been marked as a duplicate of this bug. ***
Comment 9 Vedran Miletić 2018-01-18 15:02:10 UTC
Same on RX580 (polaris10).
Comment 10 Ed Tomlinson 2018-01-28 15:15:18 UTC
Happening mesa 17.3 Kernel 4.15-rc9 on RX480 (4G) too

143575.460499] perf: interrupt took too long (3928 > 3910), lowering kernel.perf_event_max_sample_rate to 50700
[146927.696615] [drm] {1920x1200, 2080x1235@154000Khz}
[147985.703511] amdgpu 0000:01:00.0: swiotlb buffer is full (sz: 2097152 bytes)
[147985.703515] swiotlb: coherent allocation failed for device 0000:01:00.0 size=2097152
[147985.703517] CPU: 6 PID: 848 Comm: Xorg Not tainted 4.15.0-3-git #1
[147985.703517] Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./Z87E-ITX, BIOS P2.50 07/11/2014
[147985.703518] Call Trace:
[147985.703525]  dump_stack+0x5c/0x85
[147985.703529]  swiotlb_alloc_coherent+0xd7/0x150
[147985.703534]  ttm_dma_pool_get_pages+0x1f0/0x5c0 [ttm]
[147985.703537]  ttm_dma_populate+0x24a/0x340 [ttm]
[147985.703539]  ttm_tt_bind+0x23/0x50 [ttm]
[147985.703541]  ttm_bo_handle_move_mem+0x5cd/0x600 [ttm]
[147985.703544]  ttm_bo_validate+0x12f/0x140 [ttm]
[147985.703551]  ? drm_gem_init+0x11/0xa0 [drm]
[147985.703553]  ttm_bo_init_reserved+0x3a5/0x470 [ttm]
[147985.703577]  amdgpu_bo_do_create+0x1b4/0x430 [amdgpu]
[147985.703592]  ? amdgpu_fill_buffer+0x300/0x300 [amdgpu]
[147985.703594]  ? unix_write_space+0x60/0xa0
[147985.703605]  amdgpu_bo_create+0x50/0x210 [amdgpu]
[147985.703608]  ? kmem_cache_free+0x1b6/0x1e0
[147985.703618]  amdgpu_gem_object_create+0x7f/0x110 [amdgpu]
[147985.703628]  amdgpu_gem_create_ioctl+0x1ec/0x280 [amdgpu]
[147985.703638]  ? amdgpu_gem_object_close+0x1e0/0x1e0 [amdgpu]
[147985.703643]  drm_ioctl_kernel+0x59/0xb0 [drm]
[147985.703647]  drm_ioctl+0x2cb/0x380 [drm]
[147985.703657]  ? amdgpu_gem_object_close+0x1e0/0x1e0 [amdgpu]
[147985.703659]  ? timerqueue_add+0x52/0x80
[147985.703667]  amdgpu_drm_ioctl+0x49/0x80 [amdgpu]
[147985.703670]  do_vfs_ioctl+0xa1/0x610
[147985.703672]  ? __sys_recvmsg+0x4e/0x90
[147985.703673]  ? __sys_recvmsg+0x7d/0x90
[147985.703675]  SyS_ioctl+0x74/0x80
[147985.703676]  entry_SYSCALL_64_fastpath+0x20/0x83
[147985.703678] RIP: 0033:0x7fa503389d87
[147985.703678] RSP: 002b:00007ffc92250c38 EFLAGS: 00000246
Comment 11 Przemek 2018-01-31 10:21:04 UTC
Similar with Radeon R4 APU - a6 6310
Kernel 4.15, mesa 17.3.3:

"swiotlb_tbl_map_single: 10 callbacks suppressed
[76882.115961] amdgpu 0000:00:01.0: swiotlb buffer is full (sz: 2097152 bytes)
[76882.115964] swiotlb: coherent allocation failed for device 0000:00:01.0 size=2097152
[76882.115969] CPU: 3 PID: 12480 Comm: kworker/u8:15 Not tainted 4.15.0-gentoo #4
[76882.115971] Hardware name: LENOVO 80E3/Lancer 5B2, BIOS A2CN45WW(V2.13) 08/04/2016
[76882.115979] Workqueue: events_unbound async_run_entry_fn
[76882.115981] Call Trace:
[76882.115992]  dump_stack+0x46/0x59
[76882.115998]  swiotlb_alloc_coherent+0xdc/0x160
[76882.116004]  ttm_dma_pool_get_pages+0x1ba/0x460
[76882.116009]  ttm_dma_populate+0x24a/0x340
[76882.116012]  ttm_tt_bind+0x24/0x58
[76882.116015]  ttm_bo_handle_move_mem+0x380/0x3b8
[76882.116018]  ? ttm_bo_mem_space+0x397/0x470
[76882.116021]  ttm_bo_evict+0xc9/0x298
[76882.116024]  ? __slab_free+0x146/0x300
[76882.116027]  ? kmem_cache_free+0x138/0x168
[76882.116031]  ? drm_add_edid_modes+0x811/0x1338
[76882.116034]  ttm_mem_evict_first+0x15b/0x1c8
[76882.116037]  ttm_bo_force_list_clean+0x62/0x110
[76882.116040]  amdgpu_device_suspend+0x1db/0x3a8
[76882.116044]  ? pci_pm_freeze+0xc0/0xc0
[76882.116047]  pci_pm_suspend+0x7d/0x138
[76882.116051]  dpm_run_callback+0x28/0xf0
[76882.116055]  __device_suspend+0xdd/0x378
[76882.116058]  async_suspend+0x15/0x88
[76882.116061]  async_run_entry_fn+0x32/0xd8
[76882.116065]  process_one_work+0x1d6/0x3c8
[76882.116069]  worker_thread+0x26/0x3b8
[76882.116073]  ? trace_event_raw_event_workqueue_execute_start+0x88/0x88
[76882.116075]  kthread+0x10e/0x128
[76882.116078]  ? kthread_create_worker_on_cpu+0x48/0x48
[76882.116081]  ret_from_fork+0x22/0x40
[76882.175426] amdgpu 0000:00:01.0: swiotlb buffer is full (sz: 2097152 bytes)
[76882.175429] swiotlb: coherent allocation failed for device 0000:00:01.0 size=2097152
[76882.175433] CPU: 3 PID: 12480 Comm: kworker/u8:15 Not tainted 4.15.0-gentoo #4
[76882.175435] Hardware name: LENOVO 80E3/Lancer 5B2, BIOS A2CN45WW(V2.13) 08/04/2016
[76882.175444] Workqueue: events_unbound async_run_entry_fn
[76882.175447] Call Trace:
[76882.175456]  dump_stack+0x46/0x59
[76882.175462]  swiotlb_alloc_coherent+0xdc/0x160
[76882.175468]  ttm_dma_pool_get_pages+0x1ba/0x460
[76882.175473]  ttm_dma_populate+0x24a/0x340
[76882.175476]  ttm_tt_bind+0x24/0x58
[76882.175479]  ttm_bo_handle_move_mem+0x380/0x3b8
[76882.175482]  ? ttm_bo_mem_space+0x397/0x470
[76882.175485]  ttm_bo_evict+0xc9/0x298
[76882.175489]  ? __slab_free+0x146/0x300
[76882.175491]  ? kmem_cache_free+0x138/0x168
[76882.175495]  ttm_mem_evict_first+0x15b/0x1c8
[76882.175498]  ttm_bo_force_list_clean+0x62/0x110
[76882.175501]  amdgpu_device_suspend+0x1db/0x3a8
[76882.175505]  ? pci_pm_freeze+0xc0/0xc0
[76882.175507]  pci_pm_suspend+0x7d/0x138
[76882.175512]  dpm_run_callback+0x28/0xf0
[76882.175516]  __device_suspend+0xdd/0x378
[76882.175519]  async_suspend+0x15/0x88
[76882.175522]  async_run_entry_fn+0x32/0xd8
[76882.175527]  process_one_work+0x1d6/0x3c8
[76882.175530]  worker_thread+0x26/0x3b8
[76882.175534]  ? trace_event_raw_event_workqueue_execute_start+0x88/0x88
[76882.175537]  kthread+0x10e/0x128
[76882.175540]  ? kthread_create_worker_on_cpu+0x48/0x48
[76882.175543]  ret_from_fork+0x22/0x40
[76882.205482] amdgpu 0000:00:01.0: swiotlb buffer is full (sz: 2097152 bytes)
[76882.205484] swiotlb: coherent allocation failed for device 0000:00:01.0 size=2097152
[76882.205489] CPU: 3 PID: 12480 Comm: kworker/u8:15 Not tainted 4.15.0-gentoo #4
[76882.205490] Hardware name: LENOVO 80E3/Lancer 5B2, BIOS A2CN45WW(V2.13) 08/04/2016
[76882.205499] Workqueue: events_unbound async_run_entry_fn
[76882.205502] Call Trace:
[76882.205512]  dump_stack+0x46/0x59
[76882.205518]  swiotlb_alloc_coherent+0xdc/0x160
[76882.205523]  ttm_dma_pool_get_pages+0x1ba/0x460
[76882.205527]  ttm_dma_populate+0x24a/0x340
[76882.205531]  ttm_tt_bind+0x24/0x58
[76882.205534]  ttm_bo_handle_move_mem+0x380/0x3b8
[76882.205537]  ? ttm_bo_mem_space+0x397/0x470
[76882.205540]  ttm_bo_evict+0xc9/0x298
[76882.205543]  ? __slab_free+0x146/0x300
[76882.205546]  ? kmem_cache_free+0x138/0x168
[76882.205549]  ttm_mem_evict_first+0x15b/0x1c8
[76882.205553]  ttm_bo_force_list_clean+0x62/0x110
[76882.205556]  amdgpu_device_suspend+0x1db/0x3a8
[76882.205559]  ? pci_pm_freeze+0xc0/0xc0
[76882.205562]  pci_pm_suspend+0x7d/0x138
[76882.205567]  dpm_run_callback+0x28/0xf0
[76882.205570]  __device_suspend+0xdd/0x378
[76882.205574]  async_suspend+0x15/0x88
[76882.205577]  async_run_entry_fn+0x32/0xd8
[76882.205582]  process_one_work+0x1d6/0x3c8
[76882.205585]  worker_thread+0x26/0x3b8
[76882.205589]  ? trace_event_raw_event_workqueue_execute_start+0x88/0x88
[76882.205591]  kthread+0x10e/0x128
[76882.205595]  ? kthread_create_worker_on_cpu+0x48/0x48
[76882.205598]  ret_from_fork+0x22/0x40
[76882.207492] amdgpu 0000:00:01.0: swiotlb buffer is full (sz: 2097152 bytes)
[76882.207493] swiotlb: coherent allocation failed for device 0000:00:01.0 size=2097152
[76882.207496] CPU: 3 PID: 12480 Comm: kworker/u8:15 Not tainted 4.15.0-gentoo #4
[76882.207498] Hardware name: LENOVO 80E3/Lancer 5B2, BIOS A2CN45WW(V2.13) 08/04/2016
[76882.207501] Workqueue: events_unbound async_run_entry_fn
[76882.207503] Call Trace:
[76882.207507]  dump_stack+0x46/0x59
[76882.207510]  swiotlb_alloc_coherent+0xdc/0x160
[76882.207514]  ttm_dma_pool_get_pages+0x1ba/0x460
[76882.207518]  ttm_dma_populate+0x24a/0x340
[76882.207521]  ttm_tt_bind+0x24/0x58
[76882.207523]  ttm_bo_handle_move_mem+0x380/0x3b8
[76882.207526]  ? ttm_bo_mem_space+0x397/0x470
[76882.207529]  ttm_bo_evict+0xc9/0x298
[76882.207532]  ? __slab_free+0x146/0x300
[76882.207534]  ? kmem_cache_free+0x138/0x168
[76882.207537]  ttm_mem_evict_first+0x15b/0x1c8
[76882.207540]  ttm_bo_force_list_clean+0x62/0x110
[76882.207543]  amdgpu_device_suspend+0x1db/0x3a8
[76882.207546]  ? pci_pm_freeze+0xc0/0xc0
[76882.207548]  pci_pm_suspend+0x7d/0x138
[76882.207552]  dpm_run_callback+0x28/0xf0
[76882.207555]  __device_suspend+0xdd/0x378
[76882.207558]  async_suspend+0x15/0x88
[76882.207561]  async_run_entry_fn+0x32/0xd8
[76882.207564]  process_one_work+0x1d6/0x3c8
[76882.207567]  worker_thread+0x26/0x3b8
[76882.207571]  ? trace_event_raw_event_workqueue_execute_start+0x88/0x88
[76882.207573]  kthread+0x10e/0x128
[76882.207576]  ? kthread_create_worker_on_cpu+0x48/0x48
[76882.207578]  ret_from_fork+0x22/0x40
[76882.363670] amdgpu 0000:00:01.0: swiotlb buffer is full (sz: 2097152 bytes)
[76882.363674] swiotlb: coherent allocation failed for device 0000:00:01.0 size=2097152
[76882.363680] CPU: 3 PID: 12480 Comm: kworker/u8:15 Not tainted 4.15.0-gentoo #4
[76882.363682] Hardware name: LENOVO 80E3/Lancer 5B2, BIOS A2CN45WW(V2.13) 08/04/2016
[76882.363696] Workqueue: events_unbound async_run_entry_fn
[76882.363699] Call Trace:
[76882.363714]  dump_stack+0x46/0x59
[76882.363721]  swiotlb_alloc_coherent+0xdc/0x160
[76882.363730]  ttm_dma_pool_get_pages+0x1ba/0x460
[76882.363734]  ttm_dma_populate+0x24a/0x340
[76882.363738]  ttm_bo_move_memcpy+0xe3/0x488
[76882.363746]  amdgpu_bo_move+0xac/0x178
[76882.363749]  ttm_bo_handle_move_mem+0x23e/0x3b8
[76882.363753]  ? ttm_bo_mem_space+0xcb/0x470
[76882.363756]  ttm_bo_evict+0xc9/0x298
[76882.363762]  ? __slab_free+0x146/0x300
[76882.363764]  ? __slab_free+0x146/0x300
[76882.363768]  ttm_mem_evict_first+0x15b/0x1c8
[76882.363771]  ttm_bo_force_list_clean+0x62/0x110
[76882.363774]  amdgpu_device_suspend+0x1f3/0x3a8
[76882.363779]  ? pci_pm_freeze+0xc0/0xc0
[76882.363781]  pci_pm_suspend+0x7d/0x138
[76882.363787]  dpm_run_callback+0x28/0xf0
[76882.363791]  __device_suspend+0xdd/0x378
[76882.363794]  async_suspend+0x15/0x88
[76882.363798]  async_run_entry_fn+0x32/0xd8
[76882.363804]  process_one_work+0x1d6/0x3c8
[76882.363808]  worker_thread+0x26/0x3b8
[76882.363812]  ? trace_event_raw_event_workqueue_execute_start+0x88/0x88
[76882.363814]  kthread+0x10e/0x128
[76882.363818]  ? kthread_create_worker_on_cpu+0x48/0x48
[76882.363822]  ret_from_fork+0x22/0x40
[76882.485582] ACPI: Preparing to enter system sleep state S3
[76882.486150] ACPI: EC: event blocked
[76882.486151] ACPI: EC: EC stopped
[76882.486152] PM: Saving platform NVS memory
[76882.488070] Disabling non-boot CPUs ...
[76882.503782] smpboot: CPU 1 is now offline
[76882.523634] smpboot: CPU 2 is now offline
[76882.550181] smpboot: CPU 3 is now offline"
Comment 12 Przemek 2018-01-31 11:23:28 UTC
I dont know if it is related, but:
https://lkml.org/lkml/2018/1/16/106
Comment 13 Alex Deucher 2018-02-06 19:40:20 UTC
https://lkml.org/lkml/2018/1/10/132
Comment 14 Przemek 2018-02-06 20:20:05 UTC
Yes, sorry, my bad. Wrong copy-paste action here. Thanks Alex.
Comment 15 Stratos Zolotas 2018-02-08 13:49:58 UTC
Created attachment 137234 [details]
dmesg with RX460

Hello,

I have the same messages with one RX460 coming from X and plasmashell on my system. Running 4.15.0 and mesa 18.0.0 on opensuse Tumbleweed. I'm attaching some lines from dmesg.

Regards,
Stratos
Comment 16 Matthew Scheirer 2018-02-09 03:09:05 UTC
I get this as well with a 290 on 4.15 ONLY when DC is enabled. Its a dirty enough taint to leave btrfs volumes in inconsistent states so its straight crashing the kernel.

Feb 08 17:06:08 system kernel: RSP: 002b:00007f56c62fc1a8 EFLAGS: 00000246
Feb 08 17:06:08 system kernel: amdgpu 0000:01:00.0: swiotlb buffer is full (sz: 2097152 bytes)
Feb 08 17:06:08 system kernel: swiotlb: coherent allocation failed for device 0000:01:00.0 size=2097152
Feb 08 17:06:08 system kernel: CPU: 5 PID: 2216 Comm: Compositor Tainted: G           O     4.15.1-2-ARCH #1
Feb 08 17:06:08 system kernel: Hardware name: ASUS All Series/Z87I-DELUXE, BIOS 1204 11/26/2014
Feb 08 17:06:08 system kernel: Call Trace:
Feb 08 17:06:08 system kernel:  dump_stack+0x5c/0x85
Feb 08 17:06:08 system kernel:  swiotlb_alloc_coherent+0xe0/0x150
Feb 08 17:06:08 system kernel:  ttm_dma_pool_get_pages+0x1f3/0x5c0 [ttm]
Feb 08 17:06:08 system kernel:  ttm_dma_populate+0x24a/0x340 [ttm]
Feb 08 17:06:08 system kernel:  ttm_tt_bind+0x29/0x60 [ttm]
Feb 08 17:06:08 system kernel:  ttm_bo_handle_move_mem+0x5da/0x610 [ttm]
Feb 08 17:06:08 system kernel:  ttm_bo_validate+0x135/0x150 [ttm]
Feb 08 17:06:08 system kernel:  ttm_bo_init_reserved+0x3a7/0x480 [ttm]
Feb 08 17:06:08 system kernel:  amdgpu_bo_do_create+0x1b4/0x420 [amdgpu]
Feb 08 17:06:08 system kernel:  ? amdgpu_fill_buffer+0x310/0x310 [amdgpu]
Feb 08 17:06:08 system kernel:  amdgpu_bo_create+0x50/0x210 [amdgpu]
Feb 08 17:06:08 system kernel:  ? ttm_eu_backoff_reservation+0x4d/0x70 [ttm]
Feb 08 17:06:08 system kernel:  amdgpu_gem_object_create+0x7f/0x110 [amdgpu]
Feb 08 17:06:08 system kernel:  amdgpu_gem_create_ioctl+0x1e6/0x280 [amdgpu]
Feb 08 17:06:08 system kernel:  ? page_add_file_rmap+0x11/0x140
Feb 08 17:06:08 system kernel:  ? amdgpu_gem_object_close+0x1e0/0x1e0 [amdgpu]
Feb 08 17:06:08 system kernel:  drm_ioctl_kernel+0x5b/0xb0 [drm]
Feb 08 17:06:08 system kernel:  drm_ioctl+0x2d5/0x370 [drm]
Feb 08 17:06:08 system kernel:  ? amdgpu_gem_object_close+0x1e0/0x1e0 [amdgpu]
Feb 08 17:06:08 system kernel:  ? __handle_mm_fault+0xd30/0x1260
Feb 08 17:06:08 system kernel:  amdgpu_drm_ioctl+0x49/0x80 [amdgpu]
Feb 08 17:06:08 system kernel:  do_vfs_ioctl+0xa4/0x630
Feb 08 17:06:08 system kernel:  ? __do_page_fault+0x29d/0x500
Feb 08 17:06:08 system kernel:  ? SyS_futex+0x12d/0x180
Feb 08 17:06:08 system kernel:  SyS_ioctl+0x74/0x80
Feb 08 17:06:08 system kernel:  ? do_page_fault+0x32/0x110
Feb 08 17:06:08 system kernel:  entry_SYSCALL_64_fastpath+0x20/0x83
Feb 08 17:06:08 system kernel: RIP: 0033:0x7f56f7570d87
Comment 17 Michel Dänzer 2018-02-09 09:09:48 UTC
(In reply to Matthew Scheirer from comment #16)
> I get this as well with a 290 on 4.15 ONLY when DC is enabled. Its a dirty
> enough taint to leave btrfs volumes in inconsistent states so its straight
> crashing the kernel.

The swiotlb messages this report is about are harmless (though a fix is on the way anyway), the other issues you mention are probably not directly related.
Comment 18 Stratos Zolotas 2018-02-09 09:19:50 UTC
(In reply to Michel Dänzer from comment #17)
> The swiotlb messages this report is about are harmless (though a fix is on
> the way anyway), the other issues you mention are probably not directly
> related.

I can say that it is not completely harmless. I'm using virtualbox on my KDE plasma desktop and I have several crashes on windows VMs which are "aborted" while running. At the time the "aborted" is happening, I can see a flood of this type of messages on my logs. Didn't had any issue with my windows virtualbox VMs up to now and the "aborted" crash has resulted on broken VMs who need repair. Although haven't seen any btrfs corruption or other issue.
Comment 19 Michel Dänzer 2018-02-09 09:24:56 UTC
(In reply to Stratos Zolotas from comment #18)
> I can say that it is not completely harmless. I'm using virtualbox on my KDE
> plasma desktop and I have several crashes on windows VMs which are "aborted"
> while running. At the time the "aborted" is happening, I can see a flood of
> this type of messages on my logs.

That's either simply coincidence, or means the kernel ran out of memory. The messages this report is about are triggered by transient memory allocation failures, for which there is a fallback path.
Comment 20 Stratos Zolotas 2018-02-09 09:28:17 UTC
(In reply to Michel Dänzer from comment #19)
> 
> That's either simply coincidence, or means the kernel ran out of memory. The
> messages this report is about are triggered by transient memory allocation
> failures, for which there is a fallback path.

Maybe it is a coincidence, for sure I'm not running out of memory when it is happening and started with kernel 4.15 and (or) Mesa 18.0 without any change on Virtualbox side. I'll wait for the fix to see what happens...
Comment 21 Christian König 2018-02-09 09:51:21 UTC
(In reply to Stratos Zolotas from comment #20)
> Maybe it is a coincidence, for sure I'm not running out of memory when it is
> happening and started with kernel 4.15 and (or) Mesa 18.0 without any change
> on Virtualbox side. I'll wait for the fix to see what happens...

Well the message means that we ran out of memory to allocate a 2MB block and instead use many small 4K blocks.

What could be is that there is a memory leak somewhere triggering both the message and the VM faults you are seeing.
Comment 22 Andreas Kilgus 2018-02-09 10:13:02 UTC
(In reply to Christian König from comment #21)
> (In reply to Stratos Zolotas from comment #20)
> > Maybe it is a coincidence, for sure I'm not running out of memory when it is
> > happening and started with kernel 4.15 and (or) Mesa 18.0 without any change
> > on Virtualbox side. I'll wait for the fix to see what happens...
> 
> Well the message means that we ran out of memory to allocate a 2MB block and
> instead use many small 4K blocks.

I am getting these messsages on my machine right now, too.

             total       used       free     shared    buffers     cached
Mem:      16386788   15157252    1229536     761064      88852    2660664
-/+ buffers/cache:   12407736    3979052
Swap:     25165820        156   25165664

There is enough RAM left to allocate a 2 MiB block.
Comment 23 Christian König 2018-02-09 12:27:24 UTC
(In reply to Andreas Kilgus from comment #22)
> I am getting these messsages on my machine right now, too.
> 
>              total       used       free     shared    buffers     cached
> Mem:      16386788   15157252    1229536     761064      88852    2660664
> -/+ buffers/cache:   12407736    3979052
> Swap:     25165820        156   25165664
> 
> There is enough RAM left to allocate a 2 MiB block.

No there isn't. 1229536 pages free means that there are 1229536 4k pages available that doesn't tell us anything about 2MB pages, nor if those are usable for swiotlb.

Take a look at /proc/pagetypeinfo. There must at least be pages at order 9 or higher for an 2MB swiotlb allocation to succeed.

An alternative workaround is David Zhou's patch which completely avoids the swiotlb allocator on x86.
Comment 24 Andreas Kilgus 2018-02-09 13:00:26 UTC
(In reply to Christian König from comment #23)
> Take a look at /proc/pagetypeinfo. There must at least be pages at order 9
> or higher for an 2MB swiotlb allocation to succeed.

OK, I had a look and if I got it right: memory fragmentation lets the malloc fail. <nitpick>I still would not call that to "run out of memory" - there is enough memory available, its current layout is just not in the desired shape.</nitpick> ;)
Comment 25 Christian König 2018-02-09 14:01:03 UTC
(In reply to Andreas Kilgus from comment #24)
> (In reply to Christian König from comment #23)
> > Take a look at /proc/pagetypeinfo. There must at least be pages at order 9
> > or higher for an 2MB swiotlb allocation to succeed.
> 
> OK, I had a look and if I got it right: memory fragmentation lets the malloc
> fail. <nitpick>I still would not call that to "run out of memory" - there is
> enough memory available, its current layout is just not in the desired
> shape.</nitpick> ;)

Yeah, correct.

One interesting point is that this only seems to happen when DC is enabled, so that points to a possible memory leak there.

Would be interesting to monitor amdgpu_gem_info if there are an increasing number of buffers around when DC is enabled.
Comment 26 mikhail.v.gavrilov 2018-02-10 19:46:45 UTC
[65574.681417] amdgpu 0000:07:00.0: swiotlb buffer is full (sz: 2097152 bytes)
[65574.681436] swiotlb: coherent allocation failed for device 0000:07:00.0 size=2097152
[65574.681439] CPU: 3 PID: 4658 Comm: steam Not tainted 4.15.0-rc4-amd-vega+ #13
[65574.681441] Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F11 08/12/2014
[65574.681443] Call Trace:
[65574.681452]  dump_stack+0x8e/0xd6
[65574.681457]  swiotlb_alloc_coherent+0xe8/0x160
[65574.681466]  x86_swiotlb_alloc_coherent+0x43/0x50
[65574.681476]  ttm_dma_pool_get_pages+0x230/0x630 [ttm]
[65574.681492]  ttm_dma_populate+0x139/0x360 [ttm]
[65574.681534]  amdgpu_ttm_tt_populate+0xd0/0xf0 [amdgpu]
[65574.681541]  ttm_tt_bind+0x2b/0x60 [ttm]
[65574.681547]  ttm_bo_handle_move_mem+0x566/0x5a0 [ttm]
[65574.681552]  ? ttm_bo_mem_space+0x37a/0x450 [ttm]
[65574.681566]  ttm_bo_validate+0x186/0x1a0 [ttm]
[65574.681577]  ? mutex_trylock+0xd4/0xf0
[65574.681585]  ttm_bo_init_reserved+0x472/0x500 [ttm]
[65574.681617]  amdgpu_bo_do_create+0x216/0x550 [amdgpu]
[65574.681646]  ? amdgpu_fill_buffer+0x2f0/0x2f0 [amdgpu]
[65574.681655]  ? __lock_acquire+0x2d4/0x1350
[65574.681686]  amdgpu_bo_create+0x4d/0x2e0 [amdgpu]
[65574.681721]  amdgpu_gem_object_create+0x81/0x110 [amdgpu]
[65574.681752]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[65574.681776]  amdgpu_gem_create_ioctl+0x1f4/0x280 [amdgpu]
[65574.681782]  ? __might_fault+0x3e/0x90
[65574.681809]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[65574.681829]  drm_ioctl_kernel+0x5d/0xb0 [drm]
[65574.681842]  drm_ioctl+0x31b/0x3d0 [drm]
[65574.681865]  ? amdgpu_gem_object_close+0x210/0x210 [amdgpu]
[65574.681875]  ? trace_hardirqs_on_caller+0xf4/0x190
[65574.681880]  ? trace_hardirqs_on+0xd/0x10
[65574.681908]  amdgpu_drm_ioctl+0x4f/0x90 [amdgpu]
[65574.681941]  amdgpu_kms_compat_ioctl+0x14/0x20 [amdgpu]
[65574.681946]  compat_SyS_ioctl+0x6f9/0x1d60
[65574.681949]  ? trace_hardirqs_on_caller+0xf4/0x190
[65574.681959]  do_fast_syscall_32+0xb0/0x374
[65574.681965]  entry_SYSENTER_compat+0x51/0x60
[65574.681969] RIP: 0023:0xf7f47db9
[65574.681971] RSP: 002b:00000000ff836fe8 EFLAGS: 00200286 ORIG_RAX: 0000000000000036
[65574.681975] RAX: ffffffffffffffda RBX: 0000000000000013 RCX: 00000000c0206440
[65574.681977] RDX: 00000000ff83707c RSI: 0000000058c9cbc0 RDI: 00000000c0206440
[65574.681979] RBP: 0000000000000013 R08: 0000000000000000 R09: 0000000000000000
[65574.681981] R10: 0000000000000000 R11: 0000000000000000 R12: 0000000000000000
[65574.681983] R13: 0000000000000000 R14: 0000000000000000 R15: 0000000000000000
[65736.626861] Xwayland (2026) used greatest stack depth: 9712 bytes left
Comment 27 Matthew Scheirer 2018-02-10 20:55:36 UTC
(In reply to Christian König from comment #25)
> One interesting point is that this only seems to happen when DC is enabled,
> so that points to a possible memory leak there.

I do still get the swiotlib OOM errors without DC enabled, but they are fairly infrequent and don't panic crash the kernel. With DC enabled, swiotlib OOM messages happen much more often coinciding with crashes.
Comment 28 Christian König 2018-02-11 10:07:30 UTC
Ok setting this as fixed which hopefully makes people stop adding new comments to this bug report.
Comment 29 Christian König 2018-02-11 10:09:20 UTC
(In reply to Matthew Scheirer from comment #27)
> I do still get the swiotlib OOM errors without DC enabled, but they are
> fairly infrequent and don't panic crash the kernel. With DC enabled,
> swiotlib OOM messages happen much more often coinciding with crashes.

Thanks and yeah that only means that DC releases the memory later than the classic code path.

So actually not DC related.
Comment 30 mikhail.v.gavrilov 2018-02-11 14:25:29 UTC
(In reply to Christian König from comment #28)
> Ok setting this as fixed which hopefully makes people stop adding new
> comments to this bug report.

I didn't understand It's already fixed in which commit?
If yes why I see this issue with latest build amd-staging-drm-next?
Comment 31 Christian König 2018-02-11 18:28:43 UTC
(In reply to mikhail.v.gavrilov from comment #30)
> I didn't understand It's already fixed in which commit?
> If yes why I see this issue with latest build amd-staging-drm-next?

See here https://lkml.org/lkml/2018/1/16/106. I've already pinged Konrad multiple times as well, but I'm still not sure if and when he send that patch to Linus.

The real point is that those messages are just false positives, e.g. they are completely harmless and we haven't rebased amd-staging-drm-next in a while which is most likely the reason why it isn't in there.
Comment 32 mikhail.v.gavrilov 2018-02-12 03:30:27 UTC
Created attachment 137285 [details]
system log
Comment 33 mikhail.v.gavrilov 2018-02-12 03:31:35 UTC
Why are you sure what this totally harmless?
I have proof this this isn't it.
Look at my system log:
- I got message "amdgpu 0000:07:00.0: swiotlb buffer is full (sz: 2097152 bytes)" at Feb 10 18:46:00
- And then happened that gnome-shell crashed  2 seconds later at "Feb 10 18:48:53"

Today gnome-shell not crashed but I noted that gnome-terminal was closed after this.
Feb 12 02:30:58 localhost.localdomain gnome-terminal-[2799]: Error flushing display: Resource temporarily unavailable
Feb 12 02:30:58 localhost.localdomain systemd[1872]: gnome-terminal-server.service: Main process exited, code=exited, status=1/FAILURE
Feb 12 02:30:58 localhost.localdomain systemd[1872]: gnome-terminal-server.service: Unit entered failed state.
Feb 12 02:30:58 localhost.localdomain systemd[1872]: gnome-terminal-server.service: Failed with result 'exit-code'.

Of course, this may just be a coincidence, but the unpleasant residue remains.
Comment 34 Christian König 2018-02-12 08:05:20 UTC
Two seconds (In reply to mikhail.v.gavrilov from comment #33)
> Why are you sure what this totally harmless?

Those messages are a sympton and not a cause. E.g. take a look at your logs again, gnome-shell started to crash before you got the message.

What happens in your case is that some process or the kernels runs away with memory and because of this you get the message and the crash.

We can disabled the warning message, but fixing the root problem is a complete different task.
Comment 35 Nick Lee 2018-03-03 20:05:05 UTC
The same on NVIDIA Corporation C79 [GeForce 9300 / nForce 730i] (rev b1).
This happens when high disk IO load. For example - copy foles from HDD to USB.

[30790.063300] nouveau 0000:03:00.0: swiotlb buffer is full (sz: 2097152 bytes)
[30790.063304] nouveau 0000:03:00.0: swiotlb: coherent allocation failed, size=2097152
[30790.063308] CPU: 1 PID: 2071 Comm: gnome-shell Not tainted 4.16.0-0.rc3.git2.1.vanilla.knurd.1.fc27.x86_64 #1
[30790.063309] Hardware name: NVIDIA MCP7A/MCP7A, BIOS 6.00 PG 04/22/2009
[30790.063310] Call Trace:
[30790.063321]  dump_stack+0x5c/0x85
[30790.063326]  swiotlb_alloc_coherent+0x1be/0x1d0
[30790.063338]  ttm_dma_pool_get_pages+0x235/0x620 [ttm]
[30790.063345]  ttm_dma_populate+0x25e/0x350 [ttm]
[30790.063350]  ttm_tt_bind+0x2c/0x60 [ttm]
[30790.063356]  ttm_bo_handle_move_mem+0x577/0x5b0 [ttm]
[30790.063362]  ttm_bo_validate+0x120/0x130 [ttm]
[30790.063393]  ? drm_pcie_get_speed_cap_mask+0x8e/0xe0 [drm]
[30790.063398]  ttm_bo_init_reserved+0x378/0x420 [ttm]
[30790.063403]  ttm_bo_init+0x62/0xd0 [ttm]
[30790.063473]  ? nouveau_bo_invalidate_caches+0x10/0x10 [nouveau]
[30790.063516]  nouveau_bo_new+0x416/0x590 [nouveau]
[30790.063562]  ? nouveau_bo_invalidate_caches+0x10/0x10 [nouveau]
[30790.063605]  ? nouveau_gem_new+0x120/0x120 [nouveau]
[30790.063648]  nouveau_gem_new+0x5d/0x120 [nouveau]
[30790.063692]  nouveau_gem_ioctl_new+0x51/0xd0 [nouveau]
[30790.063706]  drm_ioctl_kernel+0x5b/0xb0 [drm]
[30790.063720]  drm_ioctl+0x2d5/0x370 [drm]
[30790.063764]  ? nouveau_gem_new+0x120/0x120 [nouveau]
[30790.063809]  nouveau_drm_ioctl+0x64/0xc0 [nouveau]
[30790.063815]  do_vfs_ioctl+0xa4/0x620
[30790.063818]  SyS_ioctl+0x74/0x80
[30790.063822]  do_syscall_64+0x74/0x180
[30790.063826]  entry_SYSCALL_64_after_hwframe+0x3d/0xa2
[30790.063829] RIP: 0033:0x7f2a2164b8e7
[30790.063830] RSP: 002b:00007ffdc53b6bd8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[30790.063833] RAX: ffffffffffffffda RBX: 000055c99031d960 RCX: 00007f2a2164b8e7
[30790.063834] RDX: 00007ffdc53b6c30 RSI: 00000000c0306480 RDI: 000000000000000c
[30790.063836] RBP: 00007ffdc53b6c30 R08: 0000000000000004 R09: 000055c99031d950
[30790.063837] R10: ffffffffffffffb0 R11: 0000000000000246 R12: 00000000c0306480
[30790.063839] R13: 000000000000000c R14: 000055c98cfab250 R15: 000055c98a0e4140
[30790.110592] nouveau 0000:03:00.0: swiotlb buffer is full (sz: 2097152 bytes)
Comment 36 mikhail.v.gavrilov 2018-03-23 04:07:03 UTC
In which kernel mainline version merged patch for this issue?
I see that on `amd-staging-drm-next` branch which branched from 4.16-rc1 this issue not happens now, but on mainline 4.16-rc6 still actively occurred again and again.
Comment 37 mikhail.v.gavrilov 2018-03-23 04:07:50 UTC
Created attachment 138301 [details]
dmesg 4.16-rc6
Comment 38 mikhail.v.gavrilov 2018-03-31 13:46:31 UTC
Created attachment 138462 [details]
In 4.16.0-rc7 still not fixed
Comment 39 bjo 2018-04-04 21:50:35 UTC
Issue appears here on 4.16 too:

[19470.368310] radeon 0000:00:01.0: swiotlb buffer is full (sz: 2097152 bytes)
[19470.368334] radeon 0000:00:01.0: swiotlb: coherent allocation failed, size=2097152
[19470.368341] CPU: 0 PID: 815 Comm: Xorg Not tainted 4.16.0-1-ARCH #1
[19470.368343] Hardware name: LENOVO 20BLS00400/20BLS00400, BIOS GSET69WW (2.14 ) 09/28/2017
[19470.368345] Call Trace:
[19470.368362]  dump_stack+0x5c/0x85
[19470.368369]  swiotlb_alloc_coherent+0x1be/0x1d0
[19470.368387]  ttm_dma_pool_get_pages+0x215/0x5d0 [ttm]
[19470.368401]  ttm_dma_populate+0x25b/0x350 [ttm]
[19470.368412]  ttm_tt_bind+0x2c/0x60 [ttm]
[19470.368423]  ttm_bo_handle_move_mem+0x577/0x5b0 [ttm]
[19470.368436]  ttm_bo_validate+0x120/0x130 [ttm]
[19470.368474]  ? drm_vma_offset_add+0x41/0x60 [drm]
[19470.368478]  ? acpi_os_map_iomem+0x52/0x180
[19470.368489]  ttm_bo_init_reserved+0x395/0x460 [ttm]
[19470.368500]  ttm_bo_init+0x62/0xe0 [ttm]
[19470.368549]  ? radeon_update_memory_usage.isra.0+0x50/0x50 [radeon]
[19470.368584]  radeon_bo_create+0x180/0x240 [radeon]
[19470.368622]  ? radeon_update_memory_usage.isra.0+0x50/0x50 [radeon]
[19470.368660]  radeon_gem_object_create+0xa7/0x190 [radeon]
[19470.368700]  ? radeon_gem_pwrite_ioctl+0x30/0x30 [radeon]
[19470.368737]  radeon_gem_create_ioctl+0x66/0x100 [radeon]
[19470.368776]  ? radeon_gem_pwrite_ioctl+0x30/0x30 [radeon]
[19470.368798]  drm_ioctl_kernel+0x5b/0xb0 [drm]
[19470.368823]  drm_ioctl+0x2d5/0x370 [drm]
[19470.368862]  ? radeon_gem_pwrite_ioctl+0x30/0x30 [radeon]
[19470.368869]  ? vfs_writev+0xb9/0x110
[19470.368901]  radeon_drm_ioctl+0x49/0x80 [radeon]
[19470.368909]  do_vfs_ioctl+0xa4/0x630
[19470.368915]  ? __sys_recvmsg+0x4e/0x90
[19470.368919]  ? __sys_recvmsg+0x7d/0x90
[19470.368924]  SyS_ioctl+0x74/0x80
[19470.368931]  do_syscall_64+0x74/0x190
[19470.368937]  entry_SYSCALL_64_after_hwframe+0x3d/0xa2
[19470.368942] RIP: 0033:0x7f7b3e17ad87
[19470.368945] RSP: 002b:00007ffe18b59e08 EFLAGS: 00003246 ORIG_RAX: 0000000000000010
[19470.368950] RAX: ffffffffffffffda RBX: 0000000000000002 RCX: 00007f7b3e17ad87
[19470.368952] RDX: 00007ffe18b59e80 RSI: 00000000c020645d RDI: 0000000000000010
[19470.368954] RBP: 00007ffe18b59e80 R08: 0000000000000002 R09: 0000000000000000
[19470.368956] R10: 0000000000207000 R11: 0000000000003246 R12: 00000000c020645d
[19470.368958] R13: 0000000000000010 R14: 000055c9b1526e90 R15: 000055c9b1526e90
[19615.347634] swiotlb_tbl_map_single: 46 callbacks suppressed


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.